#include "string_-client.h"

int flick_marshal_stub_str(flick_marshal_stream_t _stream, const str *_data)
{
  flick_unsigned32_t _t0_temp_string_len;
  flick_unsigned32_t _t1_temp_string_len;

  flick_fluke_stringlen(char *, _data->s10, flick_unsigned32_t , _t0_temp_string_len);
  flick_fluke_stringlen(char *, _data->sx, flick_unsigned32_t , _t1_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(26, _flick_abort0);
  flick_fluke_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_fluke_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(4, _data->s10, 1 * _t0_temp_string_len);
  flick_fluke_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->a, oskit_s32_t );
  flick_fluke_encode_unsigned32(4, _t1_temp_string_len, flick_unsigned32_t );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(26);
  flick_fluke_encode_new_glob(1 * _t1_temp_string_len, _flick_abort0);
  flick_fluke_encode_new_chunk(1 * _t1_temp_string_len);
  flick_fluke_encode_bcopy(0, _data->sx, 1 * _t1_temp_string_len);
  flick_fluke_encode_end_chunk(1 * _t1_temp_string_len);
  flick_fluke_encode_end_glob(1 * _t1_temp_string_len);
  flick_fluke_encode_new_glob(3, _flick_abort0);
  flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
  flick_fluke_encode_signed16(0, _data->b, oskit_s16_t );
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(3);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_str(flick_marshal_stream_t _stream, str *_data)
{
  flick_unsigned32_t _t2_temp_string_len;
  flick_unsigned32_t _t3_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(26);
  flick_fluke_check_span(4, _flick_abort5);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort5);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(1 * _t2_temp_string_len * 1, _flick_abort5);
  flick_fluke_decode_new_chunk(1 * _t2_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t2_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5);
    _data->s10 = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->s10, 1 * _t2_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t2_temp_string_len);
  flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
  flick_fluke_check_span(8, _flick_abort8);
  flick_fluke_decode_signed32(0, _data->a, oskit_s32_t );
  flick_fluke_decode_unsigned32(4, _t3_temp_string_len, flick_unsigned32_t );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(26);
  flick_fluke_decode_new_glob(1 * _t3_temp_string_len);
  flick_fluke_check_span(1 * _t3_temp_string_len * 1, _flick_abort8);
  flick_fluke_decode_new_chunk(1 * _t3_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t3_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8);
    _data->sx = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->sx, 1 * _t3_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t3_temp_string_len);
  flick_fluke_decode_end_glob(1 * _t3_temp_string_len);
  flick_fluke_decode_new_glob(3);
  flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
  flick_fluke_check_span(2, _flick_abort11);
  flick_fluke_decode_signed16(0, _data->b, oskit_s16_t );
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(3);
  return 0;
  {
  _flick_abort11:
    mom_flick_free(_data->sx);
  _flick_abort8:
    mom_flick_free(_data->s10);
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_longstr(flick_marshal_stream_t _stream, const longstr *_data)
{
  flick_unsigned32_t _t4_temp_string_len;

  flick_fluke_stringlen(char *, *_data, flick_unsigned32_t , _t4_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort12);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _t4_temp_string_len, flick_unsigned32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _t4_temp_string_len, _flick_abort12);
  flick_fluke_encode_new_chunk(1 * _t4_temp_string_len);
  flick_fluke_encode_bcopy(0, *_data, 1 * _t4_temp_string_len);
  flick_fluke_encode_end_chunk(1 * _t4_temp_string_len);
  flick_fluke_encode_end_glob(1 * _t4_temp_string_len);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_longstr(flick_marshal_stream_t _stream, longstr *_data)
{
  flick_unsigned32_t _t5_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort15);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t5_temp_string_len, flick_unsigned32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _t5_temp_string_len);
  flick_fluke_check_span(1 * _t5_temp_string_len * 1, _flick_abort15);
  flick_fluke_decode_new_chunk(1 * _t5_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t5_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15);
    *_data = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, *_data, 1 * _t5_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t5_temp_string_len);
  flick_fluke_decode_end_glob(1 * _t5_temp_string_len);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_shortstr(flick_marshal_stream_t _stream, const shortstr *_data)
{
  flick_unsigned32_t _t6_temp_string_len;

  flick_fluke_stringlen(char *, *_data, flick_unsigned32_t , _t6_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(30, _flick_abort19);
  flick_fluke_encode_new_chunk(4 + 1 * _t6_temp_string_len);
  flick_fluke_encode_unsigned32(0, _t6_temp_string_len, flick_unsigned32_t );
  if (_t6_temp_string_len > 26)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort19);
  flick_fluke_encode_bcopy(4, *_data, 1 * _t6_temp_string_len);
  flick_fluke_encode_end_chunk(4 + 1 * _t6_temp_string_len);
  flick_fluke_encode_end_glob(30);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_shortstr(flick_marshal_stream_t _stream, shortstr *_data)
{
  flick_unsigned32_t _t7_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(30);
  flick_fluke_check_span(4, _flick_abort22);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
  if (_t7_temp_string_len > 26)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort22);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(1 * _t7_temp_string_len * 1, _flick_abort22);
  flick_fluke_decode_new_chunk(1 * _t7_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t7_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort22);
    *_data = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, *_data, 1 * _t7_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t7_temp_string_len);
  flick_fluke_decode_end_glob(30);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

char *test_String(mom_ref_t _obj, const char *a, char **b, char **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t10_temp_string_len;
      flick_unsigned32_t _t11_temp_string_len;

      flick_fluke_stringlen(const char *, a, flick_unsigned32_t , _t10_temp_string_len);
      flick_fluke_stringlen(char *, *b, flick_unsigned32_t , _t11_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort27);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_test_String, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t10_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t10_temp_string_len, _flick_abort27);
      flick_fluke_encode_new_chunk(1 * _t10_temp_string_len);
      flick_fluke_encode_bcopy(0, a, 1 * _t10_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t10_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t10_temp_string_len);
      flick_fluke_encode_new_glob(7, _flick_abort27);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, _t11_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(7);
      flick_fluke_encode_new_glob(1 * _t11_temp_string_len, _flick_abort27);
      flick_fluke_encode_new_chunk(1 * _t11_temp_string_len);
      flick_fluke_encode_bcopy(0, *b, 1 * _t11_temp_string_len);
      mom_flick_free(*b);
      *b = 0;
      flick_fluke_encode_end_chunk(1 * _t11_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t11_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort27);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort27);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t15_temp_string_len;
            flick_unsigned32_t _t16_temp_string_len;
            flick_unsigned32_t _t17_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort50);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t15_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t15_temp_string_len);
            flick_fluke_check_span(1 * _t15_temp_string_len * 1, _flick_abort50);
            flick_fluke_decode_new_chunk(1 * _t15_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t15_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort50);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t15_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t15_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t15_temp_string_len);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort53);
            flick_fluke_decode_unsigned32(0, _t16_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t16_temp_string_len);
            flick_fluke_check_span(1 * _t16_temp_string_len * 1, _flick_abort53);
            flick_fluke_decode_new_chunk(1 * _t16_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t16_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort53);
              *b = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *b, 1 * _t16_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t16_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t16_temp_string_len);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort56);
            flick_fluke_decode_unsigned32(0, _t17_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t17_temp_string_len);
            flick_fluke_check_span(1 * _t17_temp_string_len * 1, _flick_abort56);
            flick_fluke_decode_new_chunk(1 * _t17_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t17_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort56);
              *c = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *c, 1 * _t17_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t17_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t17_temp_string_len);
            break;
            {
            _flick_abort56:
              mom_flick_free(*b);
            _flick_abort53:
              mom_flick_free(_return);
            _flick_abort50:
              goto _flick_abort27;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort60);
            break;
            {
            _flick_abort60:
              goto _flick_abort27;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort61);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort61:
              goto _flick_abort27;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort27);
  return _return;
  {
  _flick_abort27:
    flick_mom_client_error(fluke, fluke, _flick_abort26);
  _flick_abort26:
    goto _flick_reaper;
  }
}

longstr test_LongString(mom_ref_t _obj, longstr a, longstr *b, longstr *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  longstr _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t20_temp_string_len;
      flick_unsigned32_t _t21_temp_string_len;

      flick_fluke_stringlen(char *, a, flick_unsigned32_t , _t20_temp_string_len);
      flick_fluke_stringlen(char *, *b, flick_unsigned32_t , _t21_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort63);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_test_LongString, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t20_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t20_temp_string_len, _flick_abort63);
      flick_fluke_encode_new_chunk(1 * _t20_temp_string_len);
      flick_fluke_encode_bcopy(0, a, 1 * _t20_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t20_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t20_temp_string_len);
      flick_fluke_encode_new_glob(7, _flick_abort63);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, _t21_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(7);
      flick_fluke_encode_new_glob(1 * _t21_temp_string_len, _flick_abort63);
      flick_fluke_encode_new_chunk(1 * _t21_temp_string_len);
      flick_fluke_encode_bcopy(0, *b, 1 * _t21_temp_string_len);
      mom_flick_free(*b);
      *b = 0;
      flick_fluke_encode_end_chunk(1 * _t21_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t21_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort63);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort63);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t25_temp_string_len;
            flick_unsigned32_t _t26_temp_string_len;
            flick_unsigned32_t _t27_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort86);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t25_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t25_temp_string_len);
            flick_fluke_check_span(1 * _t25_temp_string_len * 1, _flick_abort86);
            flick_fluke_decode_new_chunk(1 * _t25_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t25_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort86);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t25_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t25_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t25_temp_string_len);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort89);
            flick_fluke_decode_unsigned32(0, _t26_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t26_temp_string_len);
            flick_fluke_check_span(1 * _t26_temp_string_len * 1, _flick_abort89);
            flick_fluke_decode_new_chunk(1 * _t26_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t26_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort89);
              *b = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *b, 1 * _t26_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t26_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t26_temp_string_len);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort92);
            flick_fluke_decode_unsigned32(0, _t27_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t27_temp_string_len);
            flick_fluke_check_span(1 * _t27_temp_string_len * 1, _flick_abort92);
            flick_fluke_decode_new_chunk(1 * _t27_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t27_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort92);
              *c = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *c, 1 * _t27_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t27_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t27_temp_string_len);
            break;
            {
            _flick_abort92:
              mom_flick_free(*b);
            _flick_abort89:
              mom_flick_free(_return);
            _flick_abort86:
              goto _flick_abort63;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort96);
            break;
            {
            _flick_abort96:
              goto _flick_abort63;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort97:
              goto _flick_abort63;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort63);
  return _return;
  {
  _flick_abort63:
    flick_mom_client_error(fluke, fluke, _flick_abort62);
  _flick_abort62:
    goto _flick_reaper;
  }
}

shortstr test_ShortString(mom_ref_t _obj, shortstr a, shortstr *b, shortstr *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  shortstr _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t30_temp_string_len;
      flick_unsigned32_t _t31_temp_string_len;

      flick_fluke_stringlen(char *, a, flick_unsigned32_t , _t30_temp_string_len);
      flick_fluke_stringlen(char *, *b, flick_unsigned32_t , _t31_temp_string_len);

      flick_fluke_encode_new_glob(67, _flick_abort99);
      flick_fluke_encode_new_chunk(8 + 1 * _t30_temp_string_len);
      flick_fluke_encode_unsigned32(0, req_test_ShortString, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t30_temp_string_len, flick_unsigned32_t );
      if (_t30_temp_string_len > 26)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort99);
      flick_fluke_encode_bcopy(8, a, 1 * _t30_temp_string_len);
      flick_fluke_encode_end_chunk(8 + 1 * _t30_temp_string_len);
      flick_fluke_encode_new_chunk_align(4 + 1 * _t31_temp_string_len, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, _t31_temp_string_len, flick_unsigned32_t );
      if (_t31_temp_string_len > 26)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort99);
      flick_fluke_encode_bcopy(4, *b, 1 * _t31_temp_string_len);
      mom_flick_free(*b);
      *b = 0;
      flick_fluke_encode_end_chunk(4 + 1 * _t31_temp_string_len);
      flick_fluke_encode_end_glob(67);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort99);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(100);
      flick_fluke_check_span(4, _flick_abort99);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t35_temp_string_len;
            flick_unsigned32_t _t36_temp_string_len;
            flick_unsigned32_t _t37_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort122);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t35_temp_string_len, flick_unsigned32_t );
            if (_t35_temp_string_len > 26)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort122);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t35_temp_string_len * 1, _flick_abort122);
            flick_fluke_decode_new_chunk(1 * _t35_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t35_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort122);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t35_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t35_temp_string_len);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort125);
            flick_fluke_decode_unsigned32(0, _t36_temp_string_len, flick_unsigned32_t );
            if (_t36_temp_string_len > 26)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort125);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t36_temp_string_len * 1, _flick_abort125);
            flick_fluke_decode_new_chunk(1 * _t36_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t36_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort125);
              *b = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *b, 1 * _t36_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t36_temp_string_len);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort128);
            flick_fluke_decode_unsigned32(0, _t37_temp_string_len, flick_unsigned32_t );
            if (_t37_temp_string_len > 26)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort128);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t37_temp_string_len * 1, _flick_abort128);
            flick_fluke_decode_new_chunk(1 * _t37_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t37_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort128);
              *c = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *c, 1 * _t37_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t37_temp_string_len);
            flick_fluke_decode_end_glob(100);
            break;
            {
            _flick_abort128:
              mom_flick_free(*b);
            _flick_abort125:
              mom_flick_free(_return);
            _flick_abort122:
              goto _flick_abort99;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(100);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort132);
            break;
            {
            _flick_abort132:
              goto _flick_abort99;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort133);
            flick_fluke_decode_end_glob(100);
            break;
            {
            _flick_abort133:
              goto _flick_abort99;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort99);
  return _return;
  {
  _flick_abort99:
    flick_mom_client_error(fluke, fluke, _flick_abort98);
  _flick_abort98:
    goto _flick_reaper;
  }
}

str *test_Struct(mom_ref_t _obj, const str *a, str *b, str **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  str *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t42_temp_string_len;
      flick_unsigned32_t _t43_temp_string_len;
      flick_unsigned32_t _t44_temp_string_len;
      flick_unsigned32_t _t45_temp_string_len;

      flick_fluke_stringlen(char *, a->s10, flick_unsigned32_t , _t42_temp_string_len);
      flick_fluke_stringlen(char *, a->sx, flick_unsigned32_t , _t43_temp_string_len);
      flick_fluke_stringlen(char *, b->s10, flick_unsigned32_t , _t44_temp_string_len);
      flick_fluke_stringlen(char *, b->sx, flick_unsigned32_t , _t45_temp_string_len);

      flick_fluke_encode_new_glob(30, _flick_abort135);
      flick_fluke_encode_new_chunk(8 + 1 * _t42_temp_string_len);
      flick_fluke_encode_unsigned32(0, req_test_Struct, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t42_temp_string_len, flick_unsigned32_t );
      if (_t42_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort135);
      flick_fluke_encode_bcopy(8, a->s10, 1 * _t42_temp_string_len);
      flick_fluke_encode_end_chunk(8 + 1 * _t42_temp_string_len);
      flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
      flick_fluke_encode_signed32(0, a->a, oskit_s32_t );
      flick_fluke_encode_unsigned32(4, _t43_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(30);
      flick_fluke_encode_new_glob(1 * _t43_temp_string_len, _flick_abort135);
      flick_fluke_encode_new_chunk(1 * _t43_temp_string_len);
      flick_fluke_encode_bcopy(0, a->sx, 1 * _t43_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t43_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t43_temp_string_len);
      flick_fluke_encode_new_glob(31, _flick_abort135);
      flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
      flick_fluke_encode_signed16(0, a->b, oskit_s16_t );
      flick_fluke_encode_end_chunk(2);
      flick_fluke_encode_new_chunk_align(4 + 1 * _t44_temp_string_len, 2, 1, 0);
      flick_fluke_encode_unsigned32(0, _t44_temp_string_len, flick_unsigned32_t );
      if (_t44_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort135);
      flick_fluke_encode_bcopy(4, b->s10, 1 * _t44_temp_string_len);
      mom_flick_free(b->s10);
      b->s10 = 0;
      flick_fluke_encode_end_chunk(4 + 1 * _t44_temp_string_len);
      flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
      flick_fluke_encode_signed32(0, b->a, oskit_s32_t );
      flick_fluke_encode_unsigned32(4, _t45_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(31);
      flick_fluke_encode_new_glob(1 * _t45_temp_string_len, _flick_abort135);
      flick_fluke_encode_new_chunk(1 * _t45_temp_string_len);
      flick_fluke_encode_bcopy(0, b->sx, 1 * _t45_temp_string_len);
      mom_flick_free(b->sx);
      b->sx = 0;
      flick_fluke_encode_end_chunk(1 * _t45_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t45_temp_string_len);
      flick_fluke_encode_new_glob(3, _flick_abort135);
      flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
      flick_fluke_encode_signed16(0, b->b, oskit_s16_t );
      flick_fluke_encode_end_chunk(2);
      flick_fluke_encode_end_glob(3);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort135);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(30);
      flick_fluke_check_span(4, _flick_abort135);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t52_temp_string_len;
            flick_unsigned32_t _t53_temp_string_len;
            flick_unsigned32_t _t54_temp_string_len;
            flick_unsigned32_t _t55_temp_string_len;
            flick_unsigned32_t _t56_temp_string_len;
            flick_unsigned32_t _t57_temp_string_len;

            /* Begin decode phase on parameters */
            {
              str *_t_alloc_ptr;

              _t_alloc_ptr = (str *)(mom_flick_alloc(sizeof(str )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort177);
              _return = _t_alloc_ptr;
            }
            flick_fluke_check_span(4, _flick_abort178);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t52_temp_string_len, flick_unsigned32_t );
            if (_t52_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort178);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t52_temp_string_len * 1, _flick_abort178);
            flick_fluke_decode_new_chunk(1 * _t52_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t52_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort178);
              _return->s10 = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return->s10, 1 * _t52_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t52_temp_string_len);
            flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
            flick_fluke_check_span(8, _flick_abort181);
            flick_fluke_decode_signed32(0, _return->a, oskit_s32_t );
            flick_fluke_decode_unsigned32(4, _t53_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(30);
            flick_fluke_decode_new_glob(1 * _t53_temp_string_len);
            flick_fluke_check_span(1 * _t53_temp_string_len * 1, _flick_abort181);
            flick_fluke_decode_new_chunk(1 * _t53_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t53_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort181);
              _return->sx = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return->sx, 1 * _t53_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t53_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t53_temp_string_len);
            flick_fluke_decode_new_glob(31);
            flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
            flick_fluke_check_span(2, _flick_abort184);
            flick_fluke_decode_signed16(0, _return->b, oskit_s16_t );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_new_chunk_align(4, 2, 1, 0);
            flick_fluke_check_span(4, _flick_abort184);
            flick_fluke_decode_unsigned32(0, _t54_temp_string_len, flick_unsigned32_t );
            if (_t54_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort184);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t54_temp_string_len * 1, _flick_abort184);
            flick_fluke_decode_new_chunk(1 * _t54_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t54_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort184);
              b->s10 = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, b->s10, 1 * _t54_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t54_temp_string_len);
            flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
            flick_fluke_check_span(8, _flick_abort187);
            flick_fluke_decode_signed32(0, b->a, oskit_s32_t );
            flick_fluke_decode_unsigned32(4, _t55_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(31);
            flick_fluke_decode_new_glob(1 * _t55_temp_string_len);
            flick_fluke_check_span(1 * _t55_temp_string_len * 1, _flick_abort187);
            flick_fluke_decode_new_chunk(1 * _t55_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t55_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort187);
              b->sx = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, b->sx, 1 * _t55_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t55_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t55_temp_string_len);
            flick_fluke_decode_new_glob(31);
            flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
            flick_fluke_check_span(2, _flick_abort190);
            flick_fluke_decode_signed16(0, b->b, oskit_s16_t );
            {
              str *_t_alloc_ptr;

              _t_alloc_ptr = (str *)(mom_flick_alloc(sizeof(str )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort190);
              *c = _t_alloc_ptr;
            }
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_new_chunk_align(4, 2, 1, 0);
            flick_fluke_check_span(4, _flick_abort191);
            flick_fluke_decode_unsigned32(0, _t56_temp_string_len, flick_unsigned32_t );
            if (_t56_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort191);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t56_temp_string_len * 1, _flick_abort191);
            flick_fluke_decode_new_chunk(1 * _t56_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t56_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort191);
              (*c)->s10 = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, (*c)->s10, 1 * _t56_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t56_temp_string_len);
            flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
            flick_fluke_check_span(8, _flick_abort194);
            flick_fluke_decode_signed32(0, (*c)->a, oskit_s32_t );
            flick_fluke_decode_unsigned32(4, _t57_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(31);
            flick_fluke_decode_new_glob(1 * _t57_temp_string_len);
            flick_fluke_check_span(1 * _t57_temp_string_len * 1, _flick_abort194);
            flick_fluke_decode_new_chunk(1 * _t57_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t57_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort194);
              (*c)->sx = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, (*c)->sx, 1 * _t57_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t57_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t57_temp_string_len);
            flick_fluke_decode_new_glob(3);
            flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
            flick_fluke_check_span(2, _flick_abort197);
            flick_fluke_decode_signed16(0, (*c)->b, oskit_s16_t );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(3);
            break;
            {
            _flick_abort197:
              mom_flick_free((*c)->sx);
            _flick_abort194:
              mom_flick_free((*c)->s10);
            _flick_abort191:
              mom_flick_free(*c);
            _flick_abort190:
              mom_flick_free(b->sx);
            _flick_abort187:
              mom_flick_free(b->s10);
            _flick_abort184:
              mom_flick_free(_return->sx);
            _flick_abort181:
              mom_flick_free(_return->s10);
            _flick_abort178:
              mom_flick_free(_return);
            _flick_abort177:
              goto _flick_abort135;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(30);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort198);
            break;
            {
            _flick_abort198:
              goto _flick_abort135;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort199);
            flick_fluke_decode_end_glob(30);
            break;
            {
            _flick_abort199:
              goto _flick_abort135;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
  return _return;
  {
  _flick_abort135:
    flick_mom_client_error(fluke, fluke, _flick_abort134);
  _flick_abort134:
    goto _flick_reaper;
  }
}

