#include "struct-4-client.h"

int flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort0);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->f, int );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort1);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->f, int );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort2);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->f.f, int );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->f.f, int );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

struct bar *op_2(struct bar *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct bar *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort5);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, arg->f.f, int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort5);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort5);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct bar _t1_storage;

            /* Begin decode phase on parameters */
            _return = (struct bar *)(&_t1_storage);
            flick_fluke_check_span(4, _flick_abort11);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return->f.f, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort11:
              goto _flick_abort5;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort12);
            break;
            {
            _flick_abort12:
              goto _flick_abort5;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort13);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort13:
              goto _flick_abort5;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5);
  return _return;
  {
  _flick_abort5:
    flick_sun_client_error(fluke, fluke, _flick_abort4);
  _flick_abort4:
    goto _flick_reaper;
  }
}

