#ifndef _sequence_server_h_
#define _sequence_server_h_

#include <flick/link/mach3mig.h>

#include <flick/encode/mach3mig.h>

#include <flick/pres/corba.h>

#ifndef _typedef___CORBA_sequence_long
#define _typedef___CORBA_sequence_long
typedef struct CORBA_sequence_long {
  CORBA_boolean _release;
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  CORBA_long *_buffer;
} CORBA_sequence_long;
#endif /* _typedef___CORBA_sequence_long */

#ifndef _typedef___vec10
#define _typedef___vec10
typedef struct CORBA_sequence_long vec10;
#endif /* _typedef___vec10 */

#define ex_puke ("IDL:puke:1.0")

#ifndef _typedef___puke
#define _typedef___puke
typedef struct puke {
  CORBA_long reason;
} puke;
#endif /* _typedef___puke */

#ifndef _typedef___TestSeq
#define _typedef___TestSeq
typedef CORBA_Object TestSeq;
#endif /* _typedef___TestSeq */

extern flick_dispatch_t TestSeq_server;

vec10 *TestSeq_op(TestSeq _obj, vec10 *iv, vec10 **ov, vec10 *iov, CORBA_Environment *_ev);

CORBA_boolean CORBA_Object_is_a_internal(CORBA_Object _obj, CORBA_char *id, char **_par, CORBA_Environment *_ev);

#endif /* _sequence_server_h_ */
