#include "inherit-server.h"

/* This is the runtime type information */
char *flick_interface_parents_one[] = {
	0
};

char *flick_interface_parents_two[] = {
	"IDL:one:1.0",
	0
};

char *flick_interface_parents_three[] = {
	"IDL:one:1.0",
	0
};

char *flick_interface_parents_four[] = {
	"IDL:two:1.0",
	"IDL:three:1.0",
	0
};

char *flick_interface_parents_five[] = {
	"IDL:four:1.0",
	"IDL:three:1.0",
	"IDL:two:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_five;
	s.vers_num = _VERS_five;

	reg_success = flick_server_register(s, &five_server);
	assert(reg_success);


	s.prog_num = _PROG_four;
	s.vers_num = _VERS_four;

	reg_success = flick_server_register(s, &four_server);
	assert(reg_success);


	s.prog_num = _PROG_three;
	s.vers_num = _VERS_three;

	reg_success = flick_server_register(s, &three_server);
	assert(reg_success);


	s.prog_num = _PROG_two;
	s.vers_num = _VERS_two;

	reg_success = flick_server_register(s, &two_server);
	assert(reg_success);


	s.prog_num = _PROG_one;
	s.vers_num = _VERS_one;

	reg_success = flick_server_register(s, &one_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_one(flick_marshal_stream_t _stream, one *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_one(flick_marshal_stream_t _stream, one *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t one_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t18_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_check_span(44, _flick_abort4);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t18_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t18_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t19_switch_tag;

          flick_suntcp_check_span(44, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t19_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t19_switch_tag)
            {
            case 'o':
              {
                char _t20_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t20_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t20_switch_tag)
                  {
                  case 'p':
                    {
                      char _t21_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t21_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t21_switch_tag)
                        {
                        case '_':
                          {
                            char _t22_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t22_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t22_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t23_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t23_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t23_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t24_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t24_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t24_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t25_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t25_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t25_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      one _obj;
                                                      unsigned int _t26_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t27_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort28);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t26_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t26_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t26_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t26_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t27_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(48);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      one_op_one(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort28);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort28);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort34);
                                                              break;
                                                              {
                                                              _flick_abort34:
                                                                goto _flick_abort28;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort35);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort35:
                                                                goto _flick_abort28;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort28:
                                                        goto _flick_abort27;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort27:
                                                      goto _flick_abort4;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(48);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t28_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t28_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t28_switch_tag)
            {
            case 'i':
              {
                char _t29_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t29_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t29_switch_tag)
                  {
                  case 's':
                    {
                      char _t30_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t30_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t30_switch_tag)
                        {
                        case '_':
                          {
                            char _t31_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t31_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t31_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t32_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t32_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t32_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t33_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t34_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t35_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort37);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t33_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t33_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t33_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t33_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t34_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(48);
                                          flick_suntcp_decode_new_glob(1 * _t34_temp_string_len);
                                          flick_suntcp_check_span(1 * _t34_temp_string_len * 1, _flick_abort37);
                                          flick_suntcp_decode_new_chunk(1 * _t34_temp_string_len);
                                          if ((_t34_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t34_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort37);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t34_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t34_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t34_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort40);
                                          _local_id[_t34_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t35_storage);
                                          _par = flick_interface_parents_one;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort40);
                                            flick_suntcp_encode_new_glob(8, _flick_abort40);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort46);
                                                  break;
                                                  {
                                                  _flick_abort46:
                                                    goto _flick_abort40;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort47);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort47:
                                                    goto _flick_abort40;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort40:
                                            auto_flick_free(_local_id);
                                          _flick_abort37:
                                            goto _flick_abort36;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort36:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort4:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort3);
  _flick_abort3:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_two(flick_marshal_stream_t _stream, two *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort48);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_two(flick_marshal_stream_t _stream, two *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort49);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort49:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t two_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t59_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_check_span(44, _flick_abort52);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t59_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t59_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t60_switch_tag;

          flick_suntcp_check_span(44, _flick_abort52);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t60_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t60_switch_tag)
            {
            case 'o':
              {
                char _t61_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t61_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t61_switch_tag)
                  {
                  case 'p':
                    {
                      char _t62_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t62_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t62_switch_tag)
                        {
                        case '_':
                          {
                            char _t63_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t63_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t63_switch_tag)
                              {
                              case 't':
                                {
                                  char _t64_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t64_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t64_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t65_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t65_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t65_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t66_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t66_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t66_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      two _obj;
                                                      unsigned int _t67_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t68_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort85);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t67_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t67_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t67_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t67_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t68_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(48);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      two_op_two(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort85);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort85);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort91);
                                                              break;
                                                              {
                                                              _flick_abort91:
                                                                goto _flick_abort85;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort92);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort92:
                                                                goto _flick_abort85;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort85:
                                                        goto _flick_abort84;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort84:
                                                      goto _flick_abort52;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                                    flick_suntcp_decode_end_glob(48);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t69_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t69_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t69_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t70_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t70_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t70_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t71_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t71_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t71_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      two _obj;
                                                      unsigned int _t72_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t73_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort94);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t72_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t72_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t72_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t72_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t73_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(48);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      two_op_one(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort94);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort94);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort100);
                                                              break;
                                                              {
                                                              _flick_abort100:
                                                                goto _flick_abort94;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort101:
                                                                goto _flick_abort94;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort94:
                                                        goto _flick_abort93;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort93:
                                                      goto _flick_abort52;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                                    flick_suntcp_decode_end_glob(48);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t74_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t74_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t74_switch_tag)
            {
            case 'i':
              {
                char _t75_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t75_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t75_switch_tag)
                  {
                  case 's':
                    {
                      char _t76_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t76_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t76_switch_tag)
                        {
                        case '_':
                          {
                            char _t77_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t77_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t77_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t78_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t78_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t78_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t79_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t80_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t81_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort103);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t79_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t79_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t79_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t79_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t80_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(48);
                                          flick_suntcp_decode_new_glob(1 * _t80_temp_string_len);
                                          flick_suntcp_check_span(1 * _t80_temp_string_len * 1, _flick_abort103);
                                          flick_suntcp_decode_new_chunk(1 * _t80_temp_string_len);
                                          if ((_t80_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t80_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort103);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t80_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t80_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t80_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort106);
                                          _local_id[_t80_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t81_storage);
                                          _par = flick_interface_parents_two;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort106);
                                            flick_suntcp_encode_new_glob(8, _flick_abort106);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort112);
                                                  break;
                                                  {
                                                  _flick_abort112:
                                                    goto _flick_abort106;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort113);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort113:
                                                    goto _flick_abort106;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort106:
                                            auto_flick_free(_local_id);
                                          _flick_abort103:
                                            goto _flick_abort102;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort102:
                                          goto _flick_abort52;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort52:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort51);
  _flick_abort51:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_three(flick_marshal_stream_t _stream, three *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort114);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort114:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_three(flick_marshal_stream_t _stream, three *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort115);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort115:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t three_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t111_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_check_span(44, _flick_abort118);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t111_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t111_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t112_switch_tag;

          flick_suntcp_check_span(52, _flick_abort118);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t112_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t112_switch_tag)
            {
            case 'o':
              {
                char _t113_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t113_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t113_switch_tag)
                  {
                  case 'p':
                    {
                      char _t114_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t114_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t114_switch_tag)
                        {
                        case '_':
                          {
                            char _t115_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t115_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t115_switch_tag)
                              {
                              case 't':
                                {
                                  char _t116_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t116_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t116_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t117_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t117_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t117_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t118_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t118_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t118_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t119_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t119_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t119_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t120_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t120_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t120_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  three _obj;
                                                                  unsigned int _t121_ignore;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t122_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort151);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t121_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t121_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t121_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t121_ignore, unsigned int );
                                                                  _ev = (CORBA_Environment *)(&_t122_storage);
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(56);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  three_op_three(_obj, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort151);
                                                                    flick_suntcp_encode_new_glob(4, _flick_abort151);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort157);
                                                                          break;
                                                                          {
                                                                          _flick_abort157:
                                                                            goto _flick_abort151;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort158);
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                          {
                                                                          _flick_abort158:
                                                                            goto _flick_abort151;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort151:
                                                                    goto _flick_abort150;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort150:
                                                                  goto _flick_abort118;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                                                flick_suntcp_decode_end_glob(56);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t123_switch_tag;

          flick_suntcp_check_span(44, _flick_abort118);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t123_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t123_switch_tag)
            {
            case 'o':
              {
                char _t124_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t124_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t124_switch_tag)
                  {
                  case 'p':
                    {
                      char _t125_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t125_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t125_switch_tag)
                        {
                        case '_':
                          {
                            char _t126_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t126_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t126_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t127_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t127_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t127_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t128_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t128_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t128_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t129_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t129_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t129_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      three _obj;
                                                      unsigned int _t130_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t131_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort160);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t130_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t130_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t130_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t130_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t131_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      three_op_one(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort160);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort160);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort166);
                                                              break;
                                                              {
                                                              _flick_abort166:
                                                                goto _flick_abort160;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort167);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort167:
                                                                goto _flick_abort160;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort160:
                                                        goto _flick_abort159;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort159:
                                                      goto _flick_abort118;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t132_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t132_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t132_switch_tag)
            {
            case 'i':
              {
                char _t133_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t133_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t133_switch_tag)
                  {
                  case 's':
                    {
                      char _t134_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t134_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t134_switch_tag)
                        {
                        case '_':
                          {
                            char _t135_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t135_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t135_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t136_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t136_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t136_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t137_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t138_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t139_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort169);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t137_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t137_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t137_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t137_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t138_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(56);
                                          flick_suntcp_decode_new_glob(1 * _t138_temp_string_len);
                                          flick_suntcp_check_span(1 * _t138_temp_string_len * 1, _flick_abort169);
                                          flick_suntcp_decode_new_chunk(1 * _t138_temp_string_len);
                                          if ((_t138_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t138_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort169);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t138_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t138_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t138_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort172);
                                          _local_id[_t138_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t139_storage);
                                          _par = flick_interface_parents_three;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort172);
                                            flick_suntcp_encode_new_glob(8, _flick_abort172);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort178);
                                                  break;
                                                  {
                                                  _flick_abort178:
                                                    goto _flick_abort172;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort179);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort179:
                                                    goto _flick_abort172;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort172:
                                            auto_flick_free(_local_id);
                                          _flick_abort169:
                                            goto _flick_abort168;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort168:
                                          goto _flick_abort118;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort118:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort117);
  _flick_abort117:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_four(flick_marshal_stream_t _stream, four *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort180);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort180:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_four(flick_marshal_stream_t _stream, four *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort181);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort181:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t four_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t184_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_check_span(44, _flick_abort184);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t184_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t184_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t185_switch_tag;

          flick_suntcp_check_span(48, _flick_abort184);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t185_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t185_switch_tag)
            {
            case 'o':
              {
                char _t186_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t186_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t186_switch_tag)
                  {
                  case 'p':
                    {
                      char _t187_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t187_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t187_switch_tag)
                        {
                        case '_':
                          {
                            char _t188_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t188_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t188_switch_tag)
                              {
                              case 'f':
                                {
                                  char _t189_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t189_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t189_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t190_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t190_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t190_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t191_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t191_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t191_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t192_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t192_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t192_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            four _obj;
                                                            unsigned int _t193_ignore;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t194_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort235);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t193_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t193_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t193_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t193_ignore, unsigned int );
                                                            _ev = (CORBA_Environment *)(&_t194_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            four_op_four(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort235);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort235);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort241);
                                                                    break;
                                                                    {
                                                                    _flick_abort241:
                                                                      goto _flick_abort235;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort242);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort242:
                                                                      goto _flick_abort235;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort235:
                                                              goto _flick_abort234;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort234:
                                                            goto _flick_abort184;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t195_switch_tag;

          flick_suntcp_check_span(44, _flick_abort184);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t195_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t195_switch_tag)
            {
            case 'o':
              {
                char _t196_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t196_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t196_switch_tag)
                  {
                  case 'p':
                    {
                      char _t197_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t197_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t197_switch_tag)
                        {
                        case '_':
                          {
                            char _t198_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t198_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t198_switch_tag)
                              {
                              case 't':
                                {
                                  char _t199_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t199_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t199_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t200_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t200_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t200_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t201_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t201_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t201_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      four _obj;
                                                      unsigned int _t202_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t203_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort244);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t202_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t202_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t202_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t202_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t203_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      four_op_two(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort244);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort244);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort250);
                                                              break;
                                                              {
                                                              _flick_abort250:
                                                                goto _flick_abort244;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort251);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort251:
                                                                goto _flick_abort244;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort244:
                                                        goto _flick_abort243;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort243:
                                                      goto _flick_abort184;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t204_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t204_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t204_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t205_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t205_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t205_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t206_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t206_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t206_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      four _obj;
                                                      unsigned int _t207_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t208_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort253);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t207_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t207_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t207_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t207_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t208_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      four_op_one(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort253);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort253);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort259);
                                                              break;
                                                              {
                                                              _flick_abort259:
                                                                goto _flick_abort253;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort260);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort260:
                                                                goto _flick_abort253;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort253:
                                                        goto _flick_abort252;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort252:
                                                      goto _flick_abort184;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t209_switch_tag;

          flick_suntcp_check_span(52, _flick_abort184);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t209_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t209_switch_tag)
            {
            case 'o':
              {
                char _t210_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t210_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t210_switch_tag)
                  {
                  case 'p':
                    {
                      char _t211_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t211_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t211_switch_tag)
                        {
                        case '_':
                          {
                            char _t212_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t212_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t212_switch_tag)
                              {
                              case 't':
                                {
                                  char _t213_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t213_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t213_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t214_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t214_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t214_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t215_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t215_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t215_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t216_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t216_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t216_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t217_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t217_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t217_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  four _obj;
                                                                  unsigned int _t218_ignore;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t219_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort262);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t218_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t218_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t218_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t218_ignore, unsigned int );
                                                                  _ev = (CORBA_Environment *)(&_t219_storage);
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(56);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  four_op_three(_obj, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort262);
                                                                    flick_suntcp_encode_new_glob(4, _flick_abort262);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort268);
                                                                          break;
                                                                          {
                                                                          _flick_abort268:
                                                                            goto _flick_abort262;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort269);
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                          {
                                                                          _flick_abort269:
                                                                            goto _flick_abort262;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort262:
                                                                    goto _flick_abort261;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort261:
                                                                  goto _flick_abort184;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                                flick_suntcp_decode_end_glob(56);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t220_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t220_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t220_switch_tag)
            {
            case 'i':
              {
                char _t221_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t221_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t221_switch_tag)
                  {
                  case 's':
                    {
                      char _t222_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t222_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t222_switch_tag)
                        {
                        case '_':
                          {
                            char _t223_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t223_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t223_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t224_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t224_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t224_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t225_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t226_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t227_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort271);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t225_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t225_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t225_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t225_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t226_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(56);
                                          flick_suntcp_decode_new_glob(1 * _t226_temp_string_len);
                                          flick_suntcp_check_span(1 * _t226_temp_string_len * 1, _flick_abort271);
                                          flick_suntcp_decode_new_chunk(1 * _t226_temp_string_len);
                                          if ((_t226_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t226_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort271);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t226_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t226_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t226_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort274);
                                          _local_id[_t226_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t227_storage);
                                          _par = flick_interface_parents_four;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort274);
                                            flick_suntcp_encode_new_glob(8, _flick_abort274);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort280);
                                                  break;
                                                  {
                                                  _flick_abort280:
                                                    goto _flick_abort274;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort281);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort281:
                                                    goto _flick_abort274;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort274:
                                            auto_flick_free(_local_id);
                                          _flick_abort271:
                                            goto _flick_abort270;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort270:
                                          goto _flick_abort184;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort184:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort183);
  _flick_abort183:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_five(flick_marshal_stream_t _stream, five *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort282);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort282:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_five(flick_marshal_stream_t _stream, five *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort283);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort283:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t five_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t277_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_check_span(44, _flick_abort286);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t277_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t277_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t278_switch_tag;

          flick_suntcp_check_span(48, _flick_abort286);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t278_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t278_switch_tag)
            {
            case 'o':
              {
                char _t279_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t279_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t279_switch_tag)
                  {
                  case 'p':
                    {
                      char _t280_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t280_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t280_switch_tag)
                        {
                        case '_':
                          {
                            char _t281_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t281_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t281_switch_tag)
                              {
                              case 'f':
                                {
                                  char _t282_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t282_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t282_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t283_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t283_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t283_switch_tag)
                                          {
                                          case 'v':
                                            {
                                              char _t284_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t284_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t284_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t285_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t285_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t285_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            five _obj;
                                                            unsigned int _t286_ignore;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t287_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort346);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t286_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t286_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t286_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t286_ignore, unsigned int );
                                                            _ev = (CORBA_Environment *)(&_t287_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            five_op_five(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort346);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort346);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort352);
                                                                    break;
                                                                    {
                                                                    _flick_abort352:
                                                                      goto _flick_abort346;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort353);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort353:
                                                                      goto _flick_abort346;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort346:
                                                              goto _flick_abort345;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort345:
                                                            goto _flick_abort286;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    case 'o':
                                      {
                                        char _t288_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t288_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t288_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t289_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t289_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t289_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t290_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t290_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t290_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            five _obj;
                                                            unsigned int _t291_ignore;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t292_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort355);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t291_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t291_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t291_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t291_ignore, unsigned int );
                                                            _ev = (CORBA_Environment *)(&_t292_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            five_op_four(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort355);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort355);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort361);
                                                                    break;
                                                                    {
                                                                    _flick_abort361:
                                                                      goto _flick_abort355;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort362);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort362:
                                                                      goto _flick_abort355;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort355:
                                                              goto _flick_abort354;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort354:
                                                            goto _flick_abort286;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t293_switch_tag;

          flick_suntcp_check_span(44, _flick_abort286);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t293_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t293_switch_tag)
            {
            case 'o':
              {
                char _t294_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t294_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t294_switch_tag)
                  {
                  case 'p':
                    {
                      char _t295_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t295_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t295_switch_tag)
                        {
                        case '_':
                          {
                            char _t296_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t296_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t296_switch_tag)
                              {
                              case 't':
                                {
                                  char _t297_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t297_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t297_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t298_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t298_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t298_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t299_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t299_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t299_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      five _obj;
                                                      unsigned int _t300_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t301_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort364);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t300_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t300_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t300_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t300_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t301_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      five_op_two(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort364);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort364);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort370);
                                                              break;
                                                              {
                                                              _flick_abort370:
                                                                goto _flick_abort364;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort371);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort371:
                                                                goto _flick_abort364;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort364:
                                                        goto _flick_abort363;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort363:
                                                      goto _flick_abort286;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t302_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t302_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t302_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t303_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t303_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t303_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t304_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t304_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t304_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      five _obj;
                                                      unsigned int _t305_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t306_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort373);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t305_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t305_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t305_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t305_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t306_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      five_op_one(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort373);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort373);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort379);
                                                              break;
                                                              {
                                                              _flick_abort379:
                                                                goto _flick_abort373;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort380);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort380:
                                                                goto _flick_abort373;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort373:
                                                        goto _flick_abort372;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort372:
                                                      goto _flick_abort286;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t307_switch_tag;

          flick_suntcp_check_span(52, _flick_abort286);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t307_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t307_switch_tag)
            {
            case 'o':
              {
                char _t308_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t308_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t308_switch_tag)
                  {
                  case 'p':
                    {
                      char _t309_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t309_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t309_switch_tag)
                        {
                        case '_':
                          {
                            char _t310_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t310_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t310_switch_tag)
                              {
                              case 't':
                                {
                                  char _t311_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t311_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t311_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t312_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t312_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t312_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t313_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t313_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t313_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t314_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t314_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t314_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t315_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t315_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t315_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  five _obj;
                                                                  unsigned int _t316_ignore;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t317_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort382);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t316_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t316_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t316_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t316_ignore, unsigned int );
                                                                  _ev = (CORBA_Environment *)(&_t317_storage);
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(56);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  five_op_three(_obj, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort382);
                                                                    flick_suntcp_encode_new_glob(4, _flick_abort382);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort388);
                                                                          break;
                                                                          {
                                                                          _flick_abort388:
                                                                            goto _flick_abort382;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort389);
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                          {
                                                                          _flick_abort389:
                                                                            goto _flick_abort382;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort382:
                                                                    goto _flick_abort381;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort381:
                                                                  goto _flick_abort286;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                                flick_suntcp_decode_end_glob(56);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t318_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t318_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t318_switch_tag)
            {
            case 'i':
              {
                char _t319_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t319_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t319_switch_tag)
                  {
                  case 's':
                    {
                      char _t320_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t320_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t320_switch_tag)
                        {
                        case '_':
                          {
                            char _t321_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t321_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t321_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t322_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t322_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t322_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t323_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t324_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t325_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort391);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t323_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t323_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t323_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t323_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t324_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(56);
                                          flick_suntcp_decode_new_glob(1 * _t324_temp_string_len);
                                          flick_suntcp_check_span(1 * _t324_temp_string_len * 1, _flick_abort391);
                                          flick_suntcp_decode_new_chunk(1 * _t324_temp_string_len);
                                          if ((_t324_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t324_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort391);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t324_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t324_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t324_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort394);
                                          _local_id[_t324_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t325_storage);
                                          _par = flick_interface_parents_five;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort394);
                                            flick_suntcp_encode_new_glob(8, _flick_abort394);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort400);
                                                  break;
                                                  {
                                                  _flick_abort400:
                                                    goto _flick_abort394;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort401);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort401:
                                                    goto _flick_abort394;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort394:
                                            auto_flick_free(_local_id);
                                          _flick_abort391:
                                            goto _flick_abort390;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort390:
                                          goto _flick_abort286;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort286:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort285);
  _flick_abort285:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

