#include "interface_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_math[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_math;
	s.vers_num = _VERS_math;

	reg_success = flick_server_register(s, &math_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(44, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(44);
  flick_suntcp_check_span(4, _flick_abort8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort8);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_suntcp_check_span(_data->_length * 4, _flick_abort13);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(4 * _data->_length * 1, _flick_abort16);
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort13:
    CORBA_flick_free(_data->_buffer);
  _flick_abort11:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort16:
#endif /* ENDIANness */
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort18);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort19);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t math_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t108_switch_tag;

    flick_suntcp_decode_new_glob(116);
    flick_suntcp_check_span(44, _flick_abort22);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t108_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t108_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t109_switch_tag;

          flick_suntcp_check_span(60, _flick_abort22);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t109_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t109_switch_tag)
            {
            case 'a':
              {
                char _t110_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t110_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t110_switch_tag)
                  {
                  case 'd':
                    {
                      char _t111_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t111_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t111_switch_tag)
                        {
                        case 'd':
                          {
                            char _t112_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t112_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t112_switch_tag)
                              {
                              case 's':
                                {
                                  char _t113_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t113_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t113_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t114_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t114_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t114_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t115_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t115_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t115_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t116_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t116_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t116_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t117_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t117_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t117_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  unsigned int _t118_ignore;
                                                                  CORBA_short _return;
                                                                  CORBA_short _local_a;
                                                                  CORBA_short _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t119_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort123);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t118_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t118_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t118_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t118_ignore, unsigned int );
                                                                  _return = 0;
                                                                  flick_xdr_decode_signed16(16, _local_a, CORBA_short );
                                                                  flick_xdr_decode_signed16(20, _local_b, CORBA_short );
                                                                  _ev = (CORBA_Environment *)(&_t119_storage);
                                                                  flick_suntcp_decode_end_chunk(24);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = math_addshort(_obj, _local_a, _local_b, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort123);
                                                                    flick_suntcp_encode_new_glob(8, _flick_abort123);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed16(0, _return, CORBA_short );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort129);
                                                                          break;
                                                                          {
                                                                          _flick_abort129:
                                                                            goto _flick_abort123;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort130);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                          {
                                                                          _flick_abort130:
                                                                            goto _flick_abort123;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort123:
                                                                    goto _flick_abort122;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort122:
                                                                  goto _flick_abort22;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t120_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t120_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t120_switch_tag)
                  {
                  case 'u':
                    {
                      char _t121_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t121_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t121_switch_tag)
                        {
                        case 'b':
                          {
                            char _t122_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t122_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t122_switch_tag)
                              {
                              case 's':
                                {
                                  char _t123_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t123_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t123_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t124_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t124_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t124_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t125_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t125_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t125_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t126_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t126_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t126_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t127_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t127_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t127_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  unsigned int _t128_ignore;
                                                                  CORBA_short _return;
                                                                  CORBA_short _local_a;
                                                                  CORBA_short _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t129_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort132);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t128_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t128_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t128_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t128_ignore, unsigned int );
                                                                  _return = 0;
                                                                  flick_xdr_decode_signed16(16, _local_a, CORBA_short );
                                                                  flick_xdr_decode_signed16(20, _local_b, CORBA_short );
                                                                  _ev = (CORBA_Environment *)(&_t129_storage);
                                                                  flick_suntcp_decode_end_chunk(24);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = math_subshort(_obj, _local_a, _local_b, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort132);
                                                                    flick_suntcp_encode_new_glob(8, _flick_abort132);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed16(0, _return, CORBA_short );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort138);
                                                                          break;
                                                                          {
                                                                          _flick_abort138:
                                                                            goto _flick_abort132;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort139);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                          {
                                                                          _flick_abort139:
                                                                            goto _flick_abort132;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort132:
                                                                    goto _flick_abort131;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort131:
                                                                  goto _flick_abort22;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            case 'm':
              {
                char _t130_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t130_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t130_switch_tag)
                  {
                  case 'u':
                    {
                      char _t131_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t131_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t131_switch_tag)
                        {
                        case 'l':
                          {
                            char _t132_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t132_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t132_switch_tag)
                              {
                              case 't':
                                {
                                  char _t133_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t133_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t133_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t134_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t134_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t134_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t135_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t135_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t135_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t136_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t136_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t136_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t137_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t137_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t137_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  unsigned int _t138_ignore;
                                                                  CORBA_long _return;
                                                                  CORBA_long _local_a;
                                                                  CORBA_long _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t139_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort141);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t138_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t138_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t138_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t138_ignore, unsigned int );
                                                                  _return = 0;
                                                                  flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                                                                  flick_xdr_decode_signed32(20, _local_b, CORBA_long );
                                                                  _ev = (CORBA_Environment *)(&_t139_storage);
                                                                  flick_suntcp_decode_end_chunk(24);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = math_multlong(_obj, _local_a, _local_b, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort141);
                                                                    flick_suntcp_encode_new_glob(8, _flick_abort141);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort147);
                                                                          break;
                                                                          {
                                                                          _flick_abort147:
                                                                            goto _flick_abort141;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort148);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                          {
                                                                          _flick_abort148:
                                                                            goto _flick_abort141;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort141:
                                                                    goto _flick_abort140;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort140:
                                                                  goto _flick_abort22;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t140_switch_tag;

          flick_suntcp_check_span(64, _flick_abort22);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t140_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t140_switch_tag)
            {
            case 'm':
              {
                char _t141_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t141_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t141_switch_tag)
                  {
                  case 'u':
                    {
                      char _t142_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t142_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t142_switch_tag)
                        {
                        case 'l':
                          {
                            char _t143_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t143_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t143_switch_tag)
                              {
                              case 't':
                                {
                                  char _t144_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t144_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t144_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t145_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t145_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t145_switch_tag)
                                          {
                                          case 'h':
                                            {
                                              char _t146_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t146_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t146_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t147_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t147_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t147_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t148_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t148_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t148_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t149_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t149_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t149_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        math _obj;
                                                                        unsigned int _t150_ignore;
                                                                        CORBA_short _return;
                                                                        CORBA_short _local_a;
                                                                        CORBA_short _local_b;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t151_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort150);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t150_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t150_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t150_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t150_ignore, unsigned int );
                                                                        _return = 0;
                                                                        flick_xdr_decode_signed16(16, _local_a, CORBA_short );
                                                                        flick_xdr_decode_signed16(20, _local_b, CORBA_short );
                                                                        _ev = (CORBA_Environment *)(&_t151_storage);
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        flick_suntcp_decode_end_glob(116);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = math_multshort(_obj, _local_a, _local_b, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort150);
                                                                          flick_suntcp_encode_new_glob(8, _flick_abort150);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed16(0, _return, CORBA_short );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort156);
                                                                                break;
                                                                                {
                                                                                _flick_abort156:
                                                                                  goto _flick_abort150;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort157);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                                {
                                                                                _flick_abort157:
                                                                                  goto _flick_abort150;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort150:
                                                                          goto _flick_abort149;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort149:
                                                                        goto _flick_abort22;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t152_switch_tag;

          flick_suntcp_check_span(56, _flick_abort22);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t152_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t152_switch_tag)
            {
            case 'a':
              {
                char _t153_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t153_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t153_switch_tag)
                  {
                  case 'd':
                    {
                      char _t154_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t154_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t154_switch_tag)
                        {
                        case 'd':
                          {
                            char _t155_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t155_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t155_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t156_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t156_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t156_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t157_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t157_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t157_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t158_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t158_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t158_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t159_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t159_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t159_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            math _obj;
                                                            unsigned int _t160_ignore;
                                                            CORBA_long _return;
                                                            CORBA_long _local_a;
                                                            CORBA_long _local_b;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t161_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort159);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t160_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t160_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t160_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t160_ignore, unsigned int );
                                                            _return = 0;
                                                            flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                                                            flick_xdr_decode_signed32(20, _local_b, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t161_storage);
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(116);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = math_addlong(_obj, _local_a, _local_b, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort159);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort159);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort165);
                                                                    break;
                                                                    {
                                                                    _flick_abort165:
                                                                      goto _flick_abort159;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort166:
                                                                      goto _flick_abort159;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort159:
                                                              goto _flick_abort158;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort158:
                                                            goto _flick_abort22;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t162_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t162_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t162_switch_tag)
                  {
                  case 'u':
                    {
                      char _t163_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t163_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t163_switch_tag)
                        {
                        case 'b':
                          {
                            char _t164_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t164_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t164_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t165_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t165_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t165_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t166_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t166_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t166_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t167_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t167_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t167_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t168_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t168_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t168_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            math _obj;
                                                            unsigned int _t169_ignore;
                                                            CORBA_long _return;
                                                            CORBA_long _local_a;
                                                            CORBA_long _local_b;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t170_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort168);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t169_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t169_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t169_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t169_ignore, unsigned int );
                                                            _return = 0;
                                                            flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                                                            flick_xdr_decode_signed32(20, _local_b, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t170_storage);
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(116);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = math_sublong(_obj, _local_a, _local_b, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort168);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort168);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort174);
                                                                    break;
                                                                    {
                                                                    _flick_abort174:
                                                                      goto _flick_abort168;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort175);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort175:
                                                                      goto _flick_abort168;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort168:
                                                              goto _flick_abort167;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort167:
                                                            goto _flick_abort22;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t171_switch_tag;

          flick_suntcp_check_span(68, _flick_abort22);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t171_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t171_switch_tag)
            {
            case 'a':
              {
                char _t172_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t172_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t172_switch_tag)
                  {
                  case 'd':
                    {
                      char _t173_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t173_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t173_switch_tag)
                        {
                        case 'd':
                          {
                            char _t174_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t174_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t174_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t175_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t175_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t175_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t176_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t176_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t176_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t177_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t177_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t177_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t178_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t178_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t178_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t179_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t179_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t179_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t180_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t180_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t180_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t181_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t181_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t181_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t182_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t182_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t182_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    math _obj;
                                                                                    unsigned int _t183_ignore;
                                                                                    CORBA_long _return;
                                                                                    long10 *_local_a;
                                                                                    long10 _t184_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                                    CORBA_long _t185_storage[10];
                                                                                    CORBA_unsigned_long _t186_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_Environment _t187_storage;

                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort177);
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(20);
                                                                                    flick_xdr_decode_unsigned32(0, _t183_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(4, _t183_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(8, _t183_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(12, _t183_ignore, unsigned int );
                                                                                    _return = 0;
                                                                                    _local_a = (long10 *)(&_t184_storage);
                                                                                    flick_xdr_decode_unsigned32(16, _local_a->_length, CORBA_unsigned_long );
                                                                                    if (_local_a->_length + 1 > 10)
                                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort177);
                                                                                    flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                    _local_a->_buffer = (CORBA_long *)_t185_storage;
                                                                                    _local_a->_maximum = 10;
                                                                                    _local_a->_release = 0;
                                                                                    flick_suntcp_check_span(_local_a->_length * 4, _flick_abort180);
                                                                                    for (_t186_array_iter = 0; _t186_array_iter < _local_a->_length; _t186_array_iter++)
                                                                                      {
                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_signed32(0, _local_a->_buffer[_t186_array_iter], CORBA_long );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        continue;
                                                                                      }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                    flick_suntcp_check_span(4 * _local_a->_length * 1, _flick_abort184);
                                                                                    flick_suntcp_decode_new_chunk(4 * _local_a->_length);
                                                                                    flick_xdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
                                                                                    _local_a->_maximum = _local_a->_length;
                                                                                    _local_a->_release = 0;
                                                                                    flick_suntcp_decode_end_chunk(4 * _local_a->_length);
#endif /* ENDIANness */
                                                                                    _ev = (CORBA_Environment *)(&_t187_storage);
                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                    _return = math_addlonglist(_obj, _local_a, _ev);
                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block210);
                                                                                      flick_suntcp_encode_new_glob(8, _flick_abort_block210);
                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      switch (_ev->_major)
                                                                                        {
                                                                                        case CORBA_NO_EXCEPTION:
                                                                                          {
                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                            break;
                                                                                          }
                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                          {
                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort190);
                                                                                            break;
                                                                                            {
                                                                                            _flick_abort190:
                                                                                              goto _flick_abort_block210;
                                                                                            }
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                            break;
                                                                                            {
                                                                                            _flick_abort191:
                                                                                              goto _flick_abort_block210;
                                                                                            }
                                                                                          }
                                                                                        }
                                                                                    }
                                                                                    flick_suntcp_server_end_encode();
                                                                                    break;
                                                                                    {
                                                                                    _flick_abort_block210:
#if BYTE_ORDER != BIG_ENDIAN
                                                                                    _flick_abort180:
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                    _flick_abort184:
#endif /* ENDIANness */
                                                                                    _flick_abort177:
                                                                                      goto _flick_abort176;
                                                                                    }
                                                                                  }
                                                                                  break;
                                                                                  {
                                                                                  _flick_abort176:
                                                                                    goto _flick_abort22;
                                                                                  }
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          char _t188_switch_tag;

          flick_suntcp_check_span(72, _flick_abort22);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t188_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t188_switch_tag)
            {
            case 'm':
              {
                char _t189_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t189_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t189_switch_tag)
                  {
                  case 'u':
                    {
                      char _t190_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t190_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t190_switch_tag)
                        {
                        case 'l':
                          {
                            char _t191_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t191_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t191_switch_tag)
                              {
                              case 't':
                                {
                                  char _t192_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t192_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t192_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t193_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t193_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t193_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t194_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t194_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t194_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t195_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t195_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t195_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t196_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t196_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t196_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t197_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t197_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t197_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t198_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t198_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t198_switch_tag)
                                                                        {
                                                                        case 's':
                                                                          {
                                                                            char _t199_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t199_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t199_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t200_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t200_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t200_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          math _obj;
                                                                                          unsigned int _t201_ignore;
                                                                                          CORBA_long _return;
                                                                                          long10 *_local_a;
                                                                                          long10 _t202_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                                          CORBA_long _t203_storage[10];
                                                                                          CORBA_unsigned_long _t204_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_Environment _t205_storage;

                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort193);
                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                          flick_suntcp_decode_new_chunk(20);
                                                                                          flick_xdr_decode_unsigned32(0, _t201_ignore, unsigned int );
                                                                                          flick_xdr_decode_unsigned32(4, _t201_ignore, unsigned int );
                                                                                          flick_xdr_decode_unsigned32(8, _t201_ignore, unsigned int );
                                                                                          flick_xdr_decode_unsigned32(12, _t201_ignore, unsigned int );
                                                                                          _return = 0;
                                                                                          _local_a = (long10 *)(&_t202_storage);
                                                                                          flick_xdr_decode_unsigned32(16, _local_a->_length, CORBA_unsigned_long );
                                                                                          if (_local_a->_length + 1 > 10)
                                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort193);
                                                                                          flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                          _local_a->_buffer = (CORBA_long *)_t203_storage;
                                                                                          _local_a->_maximum = 10;
                                                                                          _local_a->_release = 0;
                                                                                          flick_suntcp_check_span(_local_a->_length * 4, _flick_abort196);
                                                                                          for (_t204_array_iter = 0; _t204_array_iter < _local_a->_length; _t204_array_iter++)
                                                                                            {
                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_signed32(0, _local_a->_buffer[_t204_array_iter], CORBA_long );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              continue;
                                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                          flick_suntcp_check_span(4 * _local_a->_length * 1, _flick_abort200);
                                                                                          flick_suntcp_decode_new_chunk(4 * _local_a->_length);
                                                                                          flick_xdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
                                                                                          _local_a->_maximum = _local_a->_length;
                                                                                          _local_a->_release = 0;
                                                                                          flick_suntcp_decode_end_chunk(4 * _local_a->_length);
#endif /* ENDIANness */
                                                                                          _ev = (CORBA_Environment *)(&_t205_storage);
                                                                                          flick_suntcp_decode_end_glob(116);
                                                                                          flick_suntcp_server_end_decode();
                                                                                          flick_corba_init_environment();
                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                          _return = math_multlonglist(_obj, _local_a, _ev);
                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                          flick_suntcp_server_start_encode();
                                                                                          {
                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block229);
                                                                                            flick_suntcp_encode_new_glob(8, _flick_abort_block229);
                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                            switch (_ev->_major)
                                                                                              {
                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                {
                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                  flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                  break;
                                                                                                }
                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                {
                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort206);
                                                                                                  break;
                                                                                                  {
                                                                                                  _flick_abort206:
                                                                                                    goto _flick_abort_block229;
                                                                                                  }
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort207);
                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                  break;
                                                                                                  {
                                                                                                  _flick_abort207:
                                                                                                    goto _flick_abort_block229;
                                                                                                  }
                                                                                                }
                                                                                              }
                                                                                          }
                                                                                          flick_suntcp_server_end_encode();
                                                                                          break;
                                                                                          {
                                                                                          _flick_abort_block229:
#if BYTE_ORDER != BIG_ENDIAN
                                                                                          _flick_abort196:
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                          _flick_abort200:
#endif /* ENDIANness */
                                                                                          _flick_abort193:
                                                                                            goto _flick_abort192;
                                                                                          }
                                                                                        }
                                                                                        break;
                                                                                        {
                                                                                        _flick_abort192:
                                                                                          goto _flick_abort22;
                                                                                        }
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t206_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t206_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t206_switch_tag)
            {
            case 'i':
              {
                char _t207_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t207_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t207_switch_tag)
                  {
                  case 's':
                    {
                      char _t208_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t208_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t208_switch_tag)
                        {
                        case '_':
                          {
                            char _t209_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t209_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t209_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t210_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t210_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t210_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t211_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t212_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t213_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort209);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t211_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t211_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t211_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t211_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t212_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(116);
                                          flick_suntcp_decode_new_glob(1 * _t212_temp_string_len);
                                          flick_suntcp_check_span(1 * _t212_temp_string_len * 1, _flick_abort209);
                                          flick_suntcp_decode_new_chunk(1 * _t212_temp_string_len);
                                          if ((_t212_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t212_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort209);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t212_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t212_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t212_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort212);
                                          _local_id[_t212_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t213_storage);
                                          _par = flick_interface_parents_math;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort212);
                                            flick_suntcp_encode_new_glob(8, _flick_abort212);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort218);
                                                  break;
                                                  {
                                                  _flick_abort218:
                                                    goto _flick_abort212;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort219);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort219:
                                                    goto _flick_abort212;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort212:
                                            auto_flick_free(_local_id);
                                          _flick_abort209:
                                            goto _flick_abort208;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort208:
                                          goto _flick_abort22;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
          flick_suntcp_decode_end_glob(116);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort22:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort21);
  _flick_abort21:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

