#include "parms-client.h"

/* This is the runtime type information */
char *flick_interface_parents_PARM[] = {
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:PARM:1.0",
	0
};

/* */

int flick_marshal_stub_long_seq(flick_marshal_stream_t _stream, const long_seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(44, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_seq_len; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->long_seq_val[_t0_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->long_seq_len);
  flick_xdr_encode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_suntcp_encode_end_chunk(4 * _data->long_seq_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(44);
  flick_suntcp_check_span(4, _flick_abort8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort8);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->long_seq_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
    _data->long_seq_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->long_seq_len * 4, _flick_abort13);
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_seq_len; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->long_seq_val[_t1_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(4 * _data->long_seq_len * 1, _flick_abort16);
  flick_suntcp_decode_new_chunk(4 * _data->long_seq_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->long_seq_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
    _data->long_seq_val = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_suntcp_decode_end_chunk(4 * _data->long_seq_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort13:
    sun_flick_free(_data->long_seq_val);
  _flick_abort11:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort16:
#endif /* ENDIANness */
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void *void_test_2345(void *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  void *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort19);
  }
  {
    flick_suntcp_encode_new_glob(20, _flick_abort19);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 0, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_suntcp_encode_end_chunk(20);
    flick_suntcp_encode_end_glob(20);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort19);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort19);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_check_span(4, _flick_abort19);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t3_storage;

            _return = (char *)(&_t3_storage);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(4);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort26);
            break;
            {
            _flick_abort26:
              goto _flick_abort19;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort27);
            flick_suntcp_decode_end_glob(4);
            break;
            {
            _flick_abort27:
              goto _flick_abort19;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort19:
    flick_sun_client_error(xdr, sun, _flick_abort18);
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

char *char_test_2345(char *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort29);
  }
  {
    flick_suntcp_encode_new_glob(24, _flick_abort29);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 1, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_char8(20, *arg, char );
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort29);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort29);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort29);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t5_storage;

            _return = (char *)(&_t5_storage);
            flick_suntcp_check_span(4, _flick_abort35);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, *_return, char );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort35:
              goto _flick_abort29;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort36);
            break;
            {
            _flick_abort36:
              goto _flick_abort29;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort37);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort37:
              goto _flick_abort29;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort29:
    flick_sun_client_error(xdr, sun, _flick_abort28);
  _flick_abort28:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *bool_test_2345(int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort39);
  }
  {
    flick_suntcp_encode_new_glob(24, _flick_abort39);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 2, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned8(20, *arg, int );
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort39);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort39);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort39);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t7_storage;

            _return = (int *)(&_t7_storage);
            flick_suntcp_check_span(4, _flick_abort45);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned8(0, *_return, int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort45:
              goto _flick_abort39;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort46);
            break;
            {
            _flick_abort46:
              goto _flick_abort39;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort47);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort47:
              goto _flick_abort39;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort39:
    flick_sun_client_error(xdr, sun, _flick_abort38);
  _flick_abort38:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

short int *short_test_2345(short int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  short int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort49);
  }
  {
    flick_suntcp_encode_new_glob(24, _flick_abort49);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 3, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed16(20, *arg, short int );
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort49);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort49);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort49);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t9_storage;

            _return = (short int *)(&_t9_storage);
            flick_suntcp_check_span(4, _flick_abort55);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, *_return, short int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort55:
              goto _flick_abort49;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort56);
            break;
            {
            _flick_abort56:
              goto _flick_abort49;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort57);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort57:
              goto _flick_abort49;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort49:
    flick_sun_client_error(xdr, sun, _flick_abort48);
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

unsigned short int *ushort_test_2345(unsigned short int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  unsigned short int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort59);
  }
  {
    flick_suntcp_encode_new_glob(24, _flick_abort59);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 4, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned16(20, *arg, unsigned short int );
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort59);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort59);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort59);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned short int _t11_storage;

            _return = (unsigned short int *)(&_t11_storage);
            flick_suntcp_check_span(4, _flick_abort65);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned16(0, *_return, unsigned short int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort65:
              goto _flick_abort59;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort66);
            break;
            {
            _flick_abort66:
              goto _flick_abort59;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort67:
              goto _flick_abort59;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort59:
    flick_sun_client_error(xdr, sun, _flick_abort58);
  _flick_abort58:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *long_test_2345(int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort69);
  }
  {
    flick_suntcp_encode_new_glob(24, _flick_abort69);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 5, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed32(20, *arg, int );
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort69);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t13_storage;

            _return = (int *)(&_t13_storage);
            flick_suntcp_check_span(4, _flick_abort75);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return, int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort75:
              goto _flick_abort69;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort76);
            break;
            {
            _flick_abort76:
              goto _flick_abort69;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort77:
              goto _flick_abort69;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort69:
    flick_sun_client_error(xdr, sun, _flick_abort68);
  _flick_abort68:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

unsigned int *ulong_test_2345(unsigned int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  unsigned int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort79);
  }
  {
    flick_suntcp_encode_new_glob(24, _flick_abort79);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 6, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(20, *arg, unsigned int );
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort79);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort79);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort79);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned int _t15_storage;

            _return = (unsigned int *)(&_t15_storage);
            flick_suntcp_check_span(4, _flick_abort85);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, *_return, unsigned int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort85:
              goto _flick_abort79;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort86);
            break;
            {
            _flick_abort86:
              goto _flick_abort79;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort87:
              goto _flick_abort79;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort79:
    flick_sun_client_error(xdr, sun, _flick_abort78);
  _flick_abort78:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

float *float_test_2345(float *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  float *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort89);
  }
  {
    flick_suntcp_encode_new_glob(24, _flick_abort89);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 7, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_float32(20, *arg, float );
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort89);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort89);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort89);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static float _t17_storage;

            _return = (float *)(&_t17_storage);
            flick_suntcp_check_span(4, _flick_abort95);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_float32(0, *_return, float );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort95:
              goto _flick_abort89;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort96);
            break;
            {
            _flick_abort96:
              goto _flick_abort89;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort97:
              goto _flick_abort89;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort89:
    flick_sun_client_error(xdr, sun, _flick_abort88);
  _flick_abort88:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

double *double_test_2345(double *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  double *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort99);
  }
  {
    flick_suntcp_encode_new_glob(28, _flick_abort99);
    flick_suntcp_encode_new_chunk(28);
    flick_xdr_encode_unsigned32(0, 8, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_float64(20, *arg, double );
    flick_suntcp_encode_end_chunk(28);
    flick_suntcp_encode_end_glob(28);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort99);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort99);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_check_span(4, _flick_abort99);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t19_storage;

            _return = (double *)(&_t19_storage);
            flick_suntcp_check_span(8, _flick_abort105);
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, *_return, double );
            flick_suntcp_decode_end_chunk(8);
            flick_suntcp_decode_end_glob(12);
            break;
            {
            _flick_abort105:
              goto _flick_abort99;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(12);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort106);
            break;
            {
            _flick_abort106:
              goto _flick_abort99;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
            flick_suntcp_decode_end_glob(12);
            break;
            {
            _flick_abort107:
              goto _flick_abort99;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort99:
    flick_sun_client_error(xdr, sun, _flick_abort98);
  _flick_abort98:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

long_seq *long_seq_test_2345(long_seq *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  long_seq *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort109);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    unsigned int _t21_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(64, _flick_abort109);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 9, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(20, arg->long_seq_len, unsigned int );
    if (arg->long_seq_len + 1 > 10)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort109);
    flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t21_array_iter = 0; _t21_array_iter < arg->long_seq_len; _t21_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg->long_seq_val[_t21_array_iter], int );
        flick_suntcp_encode_end_chunk(4);
        continue;
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * arg->long_seq_len);
    flick_xdr_encode_bcopy(0, arg->long_seq_val, 4 * arg->long_seq_len);
    flick_suntcp_encode_end_chunk(4 * arg->long_seq_len);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block129);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block129);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(48);
      flick_suntcp_check_span(4, _flick_abort_block129);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static long_seq _t24_storage;
#if BYTE_ORDER != BIG_ENDIAN
            unsigned int _t25_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            _return = (long_seq *)(&_t24_storage);
            flick_suntcp_check_span(4, _flick_abort138);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->long_seq_len, unsigned int );
            if (_return->long_seq_len + 1 > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort138);
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(sun_flick_alloc((_return->long_seq_len + 1) * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort141);
              _return->long_seq_val = _t_alloc_ptr;
            }
            flick_suntcp_check_span(_return->long_seq_len * 4, _flick_abort143);
            for (_t25_array_iter = 0; _t25_array_iter < _return->long_seq_len; _t25_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return->long_seq_val[_t25_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_check_span(4 * _return->long_seq_len * 1, _flick_abort146);
            flick_suntcp_decode_new_chunk(4 * _return->long_seq_len);
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(sun_flick_alloc((_return->long_seq_len + 1) * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort146);
              _return->long_seq_val = _t_alloc_ptr;
            }
            flick_xdr_decode_bcopy(0, _return->long_seq_val, 4 * _return->long_seq_len);
            flick_suntcp_decode_end_chunk(4 * _return->long_seq_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(48);
            break;
            {
#if BYTE_ORDER != BIG_ENDIAN
            _flick_abort143:
              sun_flick_free(_return->long_seq_val);
            _flick_abort141:
#else /* BIG_ENDIAN - do a bcopy*/
            _flick_abort146:
#endif /* ENDIANness */
            _flick_abort138:
              goto _flick_abort_block129;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(48);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort148);
            break;
            {
            _flick_abort148:
              goto _flick_abort_block129;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort149);
            flick_suntcp_decode_end_glob(48);
            break;
            {
            _flick_abort149:
              goto _flick_abort_block129;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort_block129:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  _flick_abort109:
    flick_sun_client_error(xdr, sun, _flick_abort108);
  _flick_abort108:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

