#include "structnestez_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort2);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f.f, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort3);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f.f, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar_foo(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar_foo(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort5);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort6);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f.f, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort7);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f.f, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort9);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t22_switch_tag;

    flick_suntcp_decode_new_glob(44);
    flick_suntcp_check_span(36, _flick_abort12);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t22_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t23_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t23_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t23_switch_tag)
            {
            case 'o':
              {
                char _t24_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t24_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t24_switch_tag)
                  {
                  case 'p':
                    {
                      char _t25_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t25_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t25_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t26_ignore;
                              struct bar _return;
                              struct bar *_local_arg;
                              struct bar _t27_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t28_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort45);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t26_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t26_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t26_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t26_ignore, unsigned int );
                              _local_arg = (struct bar *)(&_t27_storage);
                              flick_xdr_decode_signed16(16, _local_arg->f.f, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t28_storage);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(44);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_op(_obj, _local_arg, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort45);
                                flick_suntcp_encode_new_glob(8, _flick_abort45);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed16(0, _return.f.f, CORBA_short );
                                      flick_suntcp_encode_end_chunk(4);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort51);
                                      break;
                                      {
                                      _flick_abort51:
                                        goto _flick_abort45;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort52);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort52:
                                        goto _flick_abort45;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort45:
                                goto _flick_abort44;
                              }
                            }
                            break;
                            {
                            _flick_abort44:
                              goto _flick_abort12;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                            flick_suntcp_decode_end_glob(44);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                      flick_suntcp_decode_end_glob(44);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                flick_suntcp_decode_end_glob(44);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t29_switch_tag;

          flick_suntcp_check_span(36, _flick_abort12);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t29_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t29_switch_tag)
            {
            case 'o':
              {
                char _t30_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t30_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t30_switch_tag)
                  {
                  case 'p':
                    {
                      char _t31_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t31_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t31_switch_tag)
                        {
                        case '2':
                          {
                            char _t32_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t32_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t32_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    unsigned int _t33_ignore;
                                    struct b _return;
                                    struct b *_local_arg;
                                    struct b _t34_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t35_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort54);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t33_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t33_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t33_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t33_ignore, unsigned int );
                                    _local_arg = (struct b *)(&_t34_storage);
                                    flick_xdr_decode_signed16(16, _local_arg->f.f, CORBA_short );
                                    _ev = (CORBA_Environment *)(&_t35_storage);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(44);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test_op2(_obj, _local_arg, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort54);
                                      flick_suntcp_encode_new_glob(8, _flick_abort54);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed16(0, _return.f.f, CORBA_short );
                                            flick_suntcp_encode_end_chunk(4);
                                            flick_suntcp_encode_end_glob(8);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort60);
                                            break;
                                            {
                                            _flick_abort60:
                                              goto _flick_abort54;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort61);
                                            flick_suntcp_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort61:
                                              goto _flick_abort54;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort54:
                                      goto _flick_abort53;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort53:
                                    goto _flick_abort12;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                                  flick_suntcp_decode_end_glob(44);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                            flick_suntcp_decode_end_glob(44);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                      flick_suntcp_decode_end_glob(44);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                flick_suntcp_decode_end_glob(44);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t36_switch_tag;

          flick_suntcp_check_span(40, _flick_abort12);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t36_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t36_switch_tag)
            {
            case 'i':
              {
                char _t37_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t37_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t37_switch_tag)
                  {
                  case 's':
                    {
                      char _t38_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t38_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t38_switch_tag)
                        {
                        case '_':
                          {
                            char _t39_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t39_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t39_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t40_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t40_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t40_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t41_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t42_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t43_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort63);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t41_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t41_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t41_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t41_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t42_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(44);
                                          flick_suntcp_decode_new_glob(1 * _t42_temp_string_len);
                                          flick_suntcp_check_span(1 * _t42_temp_string_len * 1, _flick_abort63);
                                          flick_suntcp_decode_new_chunk(1 * _t42_temp_string_len);
                                          if ((_t42_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t42_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort63);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t42_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t42_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t42_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort66);
                                          _local_id[_t42_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t43_storage);
                                          _par = flick_interface_parents_test;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort66);
                                            flick_suntcp_encode_new_glob(8, _flick_abort66);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort72);
                                                  break;
                                                  {
                                                  _flick_abort72:
                                                    goto _flick_abort66;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort73);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort73:
                                                    goto _flick_abort66;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort66:
                                            auto_flick_free(_local_id);
                                          _flick_abort63:
                                            goto _flick_abort62;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort62:
                                          goto _flick_abort12;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                                        flick_suntcp_decode_end_glob(44);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                                  flick_suntcp_decode_end_glob(44);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                            flick_suntcp_decode_end_glob(44);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                      flick_suntcp_decode_end_glob(44);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
                flick_suntcp_decode_end_glob(44);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort12);
          flick_suntcp_decode_end_glob(44);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort12:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort11);
  _flick_abort11:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

