#include "typedef_-client.h"

/* This is the runtime type information */
/* */

int flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, *_data, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, *_data, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_c(flick_marshal_stream_t _stream, const c *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort2);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, *_data, CORBA_char );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_c(flick_marshal_stream_t _stream, c *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort3);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, *_data, CORBA_char );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_d(flick_marshal_stream_t _stream, const d *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, *_data, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(263, _flick_abort4);
  flick_suntcp_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_xdr_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len + 1 > 257)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort4);
  flick_xdr_encode_bcopy(4, *_data, 1 * _t0_temp_string_len);
  flick_suntcp_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(263);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_d(flick_marshal_stream_t _stream, d *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(263);
  flick_suntcp_check_span(4, _flick_abort7);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len + 1 > 257)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_check_span(1 * _t1_temp_string_len * 1, _flick_abort7);
  flick_suntcp_decode_new_chunk(1 * _t1_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(257 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    *_data = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, *_data, 1 * _t1_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t1_temp_string_len);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_check_span(0, _flick_abort10);
  (*_data)[_t1_temp_string_len] = 0;
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(263);
  return 0;
  {
  _flick_abort10:
    CORBA_flick_free(*_data);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_e(flick_marshal_stream_t _stream, const e *_data)
{
  CORBA_unsigned_long _t2_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort11);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length, _flick_abort11);
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed16(0, _data->_buffer[_t2_array_iter], CORBA_short );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  flick_suntcp_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_e(flick_marshal_stream_t _stream, e *_data)
{
  CORBA_unsigned_long _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort17);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
  {
    CORBA_short *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_short *)(CORBA_flick_alloc((_data->_length + 1) * sizeof(CORBA_short )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length + 1;
    _data->_release = 1;
  }
  flick_suntcp_check_span(_data->_length * 4, _flick_abort21);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed16(0, _data->_buffer[_t3_array_iter], CORBA_short );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
  flick_suntcp_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort21:
    CORBA_flick_free(_data->_buffer);
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_f(flick_marshal_stream_t _stream, const f *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort24);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_float32(0, *_data, CORBA_float );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_f(flick_marshal_stream_t _stream, f *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort25);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_float32(0, *_data, CORBA_float );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort25:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_g(flick_marshal_stream_t _stream, const g *_data)
{
  flick_unsigned32_t _t4_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(20, _flick_abort26);
  for (_t4_array_iter = 0; _t4_array_iter < 5; _t4_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed16(0, (*_data)[_t4_array_iter], CORBA_short );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  flick_suntcp_encode_end_glob(20);
  return 0;
  {
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_g(flick_marshal_stream_t _stream, g *_data)
{
  flick_unsigned32_t _t5_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(20);
  flick_suntcp_check_span(5 * 4 + 0, _flick_abort32);
  for (_t5_array_iter = 0; _t5_array_iter < 5; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed16(0, (*_data)[_t5_array_iter], CORBA_short );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
  flick_suntcp_decode_end_glob(20);
  return 0;
  {
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_h(flick_marshal_stream_t _stream, const h *_data)
{
  CORBA_unsigned_long _t6_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(24, _flick_abort38);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length + 1 > 5)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort38);
  flick_suntcp_encode_end_chunk(4);
  for (_t6_array_iter = 0; _t6_array_iter < _data->_length; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed16(0, _data->_buffer[_t6_array_iter], CORBA_short );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  flick_suntcp_encode_end_glob(24);
  return 0;
  {
  _flick_abort38:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_h(flick_marshal_stream_t _stream, h *_data)
{
  CORBA_unsigned_long _t7_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(24);
  flick_suntcp_check_span(4, _flick_abort44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length + 1 > 5)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort44);
  flick_suntcp_decode_end_chunk(4);
  {
    CORBA_short *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_short *)(CORBA_flick_alloc(5 * sizeof(CORBA_short )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort44);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 5;
    _data->_release = 1;
  }
  flick_suntcp_check_span(_data->_length * 4, _flick_abort48);
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed16(0, _data->_buffer[_t7_array_iter], CORBA_short );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
  flick_suntcp_decode_end_glob(24);
  return 0;
  {
  _flick_abort48:
    CORBA_flick_free(_data->_buffer);
  _flick_abort44:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

