#include "mig-simple-client.h"

/* This is the runtime type information */
/* */

kern_return_t get_time(mach_port_t server_port, int format, int *time)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(server_port, 0, cdr, _flick_abort1);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort1);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 400, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, format, int );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort1);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort6);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *time, int );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort6:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(cdr, trapeze, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t foo_time(mach_port_t server_port, foo_int format, foo_int *time)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(server_port, 0, cdr, _flick_abort9);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort9);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 401, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, format, foo_int );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort9);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort9);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort14);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *time, foo_int );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort14:
              goto _flick_abort9;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort9:
    flick_mig_client_error(cdr, trapeze, _flick_abort8);
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

