#ifndef _turtle_client_server_h_
#define _turtle_client_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <errno.h>

#include <flick/pres/mom.h>

#include <fluke/flick.h>

#ifndef _typedef___Client
#define _typedef___Client
typedef struct Client_struct Client;
#endif /* _typedef___Client */

int flick_marshal_stub_Client(flick_marshal_stream_t _stream, Client *_data);

int flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client *_data);

extern flick_dispatch_t Client_server;

oskit_s32_t Client_server_SetLeft(Client *_obj, oskit_s32_t speed, mom_exc_t *_ev);

oskit_s32_t Client_server_SetRight(Client *_obj, oskit_s32_t speed, mom_exc_t *_ev);

oskit_s32_t Client_server_GetButton(Client *_obj, mom_exc_t *_ev);

oskit_s32_t Client_server_GetPhoto(Client *_obj, mom_exc_t *_ev);

#endif /* _turtle_client_server_h_ */
