#ifndef _union_5_server_h_
#define _union_5_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <errno.h>

#include <flick/pres/sun.h>

#ifndef _typedef___bar
#define _typedef___bar
typedef struct bar {
  int slot_1;
  int slot_2;
  int slot_3;
} bar;
#endif /* _typedef___bar */

int flick_marshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data);

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data);

#ifndef _typedef___foo
#define _typedef___foo
typedef struct foo {
  int discriminator;
  union {
    struct {
      unsigned int one_len;
      int *one_val;
    } one;
    char *two;
    struct bar three;
  } foo_u;
} foo;
#endif /* _typedef___foo */

int flick_marshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data);

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data);

#define PROG ((unsigned long int) 3)

#define VERS ((unsigned long int) 2)

extern flick_dispatch_t prog_2;

#define op ((unsigned long int) 1)

struct foo *op_2(struct foo *arg, struct svc_req *_obj/* , flick_env_t flick_errno */);

#endif /* _union_5_server_h_ */
