#include "atomic_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Atomic_test[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &Atomic_test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t Atomic_test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t95_switch_tag;

    flick_suntcp_decode_new_glob(64);
    flick_suntcp_check_span(44, _flick_abort4);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t95_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t95_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t96_switch_tag;

          flick_suntcp_check_span(48, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t96_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t96_switch_tag)
            {
            case 'S':
              {
                char _t97_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t97_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t97_switch_tag)
                  {
                  case 'h':
                    {
                      char _t98_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t98_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t98_switch_tag)
                        {
                        case 'o':
                          {
                            char _t99_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t99_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t99_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t100_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t100_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t100_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t101_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t101_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t101_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                unsigned int _t102_ignore;
                                                CORBA_short _return;
                                                CORBA_short _local_a;
                                                CORBA_short *_local_b;
                                                CORBA_short _t103_storage;
                                                CORBA_short *_local_c;
                                                CORBA_short _t104_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t105_storage;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort100);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t102_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t102_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t102_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t102_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_signed16(16, _local_a, CORBA_short );
                                                _local_b = (CORBA_short *)(&_t103_storage);
                                                flick_xdr_decode_signed16(20, *_local_b, CORBA_short );
                                                _local_c = (CORBA_short *)(&_t104_storage);
                                                _ev = (CORBA_Environment *)(&_t105_storage);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(64);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = Atomic_test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort100);
                                                  flick_suntcp_encode_new_glob(16, _flick_abort100);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(12);
                                                        flick_xdr_encode_signed16(0, _return, CORBA_short );
                                                        flick_xdr_encode_signed16(4, *_local_b, CORBA_short );
                                                        flick_xdr_encode_signed16(8, *_local_c, CORBA_short );
                                                        flick_suntcp_encode_end_chunk(12);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort106);
                                                        break;
                                                        {
                                                        _flick_abort106:
                                                          goto _flick_abort100;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort107:
                                                          goto _flick_abort100;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort100:
                                                  goto _flick_abort99;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort99:
                                                goto _flick_abort4;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'U':
              {
                char _t106_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t106_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t106_switch_tag)
                  {
                  case 'L':
                    {
                      char _t107_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t107_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t107_switch_tag)
                        {
                        case 'o':
                          {
                            char _t108_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t108_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t108_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t109_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t109_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t109_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t110_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t110_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t110_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                unsigned int _t111_ignore;
                                                CORBA_unsigned_long _return;
                                                CORBA_unsigned_long _local_a;
                                                CORBA_unsigned_long *_local_b;
                                                CORBA_unsigned_long _t112_storage;
                                                CORBA_unsigned_long *_local_c;
                                                CORBA_unsigned_long _t113_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t114_storage;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort109);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t111_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t111_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t111_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t111_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _local_a, CORBA_unsigned_long );
                                                _local_b = (CORBA_unsigned_long *)(&_t112_storage);
                                                flick_xdr_decode_unsigned32(20, *_local_b, CORBA_unsigned_long );
                                                _local_c = (CORBA_unsigned_long *)(&_t113_storage);
                                                _ev = (CORBA_Environment *)(&_t114_storage);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(64);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = Atomic_test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort109);
                                                  flick_suntcp_encode_new_glob(16, _flick_abort109);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(12);
                                                        flick_xdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                        flick_xdr_encode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                                                        flick_xdr_encode_unsigned32(8, *_local_c, CORBA_unsigned_long );
                                                        flick_suntcp_encode_end_chunk(12);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort115);
                                                        break;
                                                        {
                                                        _flick_abort115:
                                                          goto _flick_abort109;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort116:
                                                          goto _flick_abort109;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort109:
                                                  goto _flick_abort108;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort108:
                                                goto _flick_abort4;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'F':
              {
                char _t115_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t115_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t115_switch_tag)
                  {
                  case 'l':
                    {
                      char _t116_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t116_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t116_switch_tag)
                        {
                        case 'o':
                          {
                            char _t117_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t117_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t117_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t118_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t118_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t118_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t119_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t119_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t119_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                unsigned int _t120_ignore;
                                                CORBA_float _return;
                                                CORBA_float _local_a;
                                                CORBA_float *_local_b;
                                                CORBA_float _t121_storage;
                                                CORBA_float *_local_c;
                                                CORBA_float _t122_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t123_storage;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort118);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t120_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t120_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t120_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t120_ignore, unsigned int );
                                                _return = 0.000000;
                                                flick_xdr_decode_float32(16, _local_a, CORBA_float );
                                                _local_b = (CORBA_float *)(&_t121_storage);
                                                flick_xdr_decode_float32(20, *_local_b, CORBA_float );
                                                _local_c = (CORBA_float *)(&_t122_storage);
                                                _ev = (CORBA_Environment *)(&_t123_storage);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(64);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = Atomic_test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort118);
                                                  flick_suntcp_encode_new_glob(16, _flick_abort118);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(12);
                                                        flick_xdr_encode_float32(0, _return, CORBA_float );
                                                        flick_xdr_encode_float32(4, *_local_b, CORBA_float );
                                                        flick_xdr_encode_float32(8, *_local_c, CORBA_float );
                                                        flick_suntcp_encode_end_chunk(12);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort124);
                                                        break;
                                                        {
                                                        _flick_abort124:
                                                          goto _flick_abort118;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort125:
                                                          goto _flick_abort118;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort118:
                                                  goto _flick_abort117;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort117:
                                                goto _flick_abort4;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'O':
              {
                char _t124_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t124_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t124_switch_tag)
                  {
                  case 'c':
                    {
                      char _t125_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t125_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t125_switch_tag)
                        {
                        case 't':
                          {
                            char _t126_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t126_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t126_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t127_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t127_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t127_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t128_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t128_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t128_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                unsigned int _t129_ignore;
                                                CORBA_octet _return;
                                                CORBA_octet _local_a;
                                                CORBA_octet *_local_b;
                                                CORBA_octet _t130_storage;
                                                CORBA_octet *_local_c;
                                                CORBA_octet _t131_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t132_storage;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort127);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t129_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t129_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t129_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t129_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned8(16, _local_a, CORBA_octet );
                                                _local_b = (CORBA_octet *)(&_t130_storage);
                                                flick_xdr_decode_unsigned8(20, *_local_b, CORBA_octet );
                                                _local_c = (CORBA_octet *)(&_t131_storage);
                                                _ev = (CORBA_Environment *)(&_t132_storage);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(64);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = Atomic_test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort127);
                                                  flick_suntcp_encode_new_glob(16, _flick_abort127);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(12);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_octet );
                                                        flick_xdr_encode_unsigned8(4, *_local_b, CORBA_octet );
                                                        flick_xdr_encode_unsigned8(8, *_local_c, CORBA_octet );
                                                        flick_suntcp_encode_end_chunk(12);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort133);
                                                        break;
                                                        {
                                                        _flick_abort133:
                                                          goto _flick_abort127;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort134:
                                                          goto _flick_abort127;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort127:
                                                  goto _flick_abort126;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort126:
                                                goto _flick_abort4;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t133_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t133_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t133_switch_tag)
            {
            case 'L':
              {
                char _t134_switch_tag;

                flick_suntcp_check_span(40, _flick_abort4);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t134_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t134_switch_tag)
                  {
                  case 'o':
                    {
                      char _t135_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t135_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t135_switch_tag)
                        {
                        case 'n':
                          {
                            char _t136_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t136_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t136_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t137_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t137_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t137_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          Atomic_test _obj;
                                          unsigned int _t138_ignore;
                                          CORBA_long _return;
                                          CORBA_long _local_a;
                                          CORBA_long *_local_b;
                                          CORBA_long _t139_storage;
                                          CORBA_long *_local_c;
                                          CORBA_long _t140_storage;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t141_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort136);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t138_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t138_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t138_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t138_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                                          _local_b = (CORBA_long *)(&_t139_storage);
                                          flick_xdr_decode_signed32(20, *_local_b, CORBA_long );
                                          _local_c = (CORBA_long *)(&_t140_storage);
                                          _ev = (CORBA_Environment *)(&_t141_storage);
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(64);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = Atomic_test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort136);
                                            flick_suntcp_encode_new_glob(16, _flick_abort136);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(12);
                                                  flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_xdr_encode_signed32(4, *_local_b, CORBA_long );
                                                  flick_xdr_encode_signed32(8, *_local_c, CORBA_long );
                                                  flick_suntcp_encode_end_chunk(12);
                                                  flick_suntcp_encode_end_glob(16);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(16);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort142);
                                                  break;
                                                  {
                                                  _flick_abort142:
                                                    goto _flick_abort136;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
                                                  flick_suntcp_encode_end_glob(16);
                                                  break;
                                                  {
                                                  _flick_abort143:
                                                    goto _flick_abort136;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort136:
                                            goto _flick_abort135;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort135:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'C':
              {
                char _t142_switch_tag;

                flick_suntcp_check_span(40, _flick_abort4);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t142_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t142_switch_tag)
                  {
                  case 'h':
                    {
                      char _t143_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t143_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t143_switch_tag)
                        {
                        case 'a':
                          {
                            char _t144_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t144_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t144_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t145_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t145_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t145_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          Atomic_test _obj;
                                          unsigned int _t146_ignore;
                                          CORBA_char _return;
                                          CORBA_char _local_a;
                                          CORBA_char *_local_b;
                                          CORBA_char _t147_storage;
                                          CORBA_char *_local_c;
                                          CORBA_char _t148_storage;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t149_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort145);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t146_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t146_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t146_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t146_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_char8(16, _local_a, CORBA_char );
                                          _local_b = (CORBA_char *)(&_t147_storage);
                                          flick_xdr_decode_char8(20, *_local_b, CORBA_char );
                                          _local_c = (CORBA_char *)(&_t148_storage);
                                          _ev = (CORBA_Environment *)(&_t149_storage);
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(64);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = Atomic_test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort145);
                                            flick_suntcp_encode_new_glob(16, _flick_abort145);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(12);
                                                  flick_xdr_encode_char8(0, _return, CORBA_char );
                                                  flick_xdr_encode_char8(4, *_local_b, CORBA_char );
                                                  flick_xdr_encode_char8(8, *_local_c, CORBA_char );
                                                  flick_suntcp_encode_end_chunk(12);
                                                  flick_suntcp_encode_end_glob(16);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(16);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort151);
                                                  break;
                                                  {
                                                  _flick_abort151:
                                                    goto _flick_abort145;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
                                                  flick_suntcp_encode_end_glob(16);
                                                  break;
                                                  {
                                                  _flick_abort152:
                                                    goto _flick_abort145;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort145:
                                            goto _flick_abort144;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort144:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'i':
              {
                char _t150_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t150_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t150_switch_tag)
                  {
                  case 's':
                    {
                      char _t151_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t151_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t151_switch_tag)
                        {
                        case '_':
                          {
                            char _t152_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t152_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t152_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t153_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t153_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t153_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t154_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t155_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t156_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort154);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t154_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t154_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t154_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t154_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t155_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(64);
                                          flick_suntcp_decode_new_glob(1 * _t155_temp_string_len);
                                          flick_suntcp_check_span(1 * _t155_temp_string_len * 1, _flick_abort154);
                                          flick_suntcp_decode_new_chunk(1 * _t155_temp_string_len);
                                          if ((_t155_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t155_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort154);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t155_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t155_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t155_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort157);
                                          _local_id[_t155_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t156_storage);
                                          _par = flick_interface_parents_Atomic_test;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort157);
                                            flick_suntcp_encode_new_glob(8, _flick_abort157);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort163);
                                                  break;
                                                  {
                                                  _flick_abort163:
                                                    goto _flick_abort157;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort164);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort164:
                                                    goto _flick_abort157;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort157:
                                            auto_flick_free(_local_id);
                                          _flick_abort154:
                                            goto _flick_abort153;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort153:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t157_switch_tag;

          flick_suntcp_check_span(52, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t157_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t157_switch_tag)
            {
            case 'U':
              {
                char _t158_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t158_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t158_switch_tag)
                  {
                  case 'S':
                    {
                      char _t159_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t159_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t159_switch_tag)
                        {
                        case 'h':
                          {
                            char _t160_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t160_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t160_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t161_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t161_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t161_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t162_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t162_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t162_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t163_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t163_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t163_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      Atomic_test _obj;
                                                      unsigned int _t164_ignore;
                                                      CORBA_unsigned_short _return;
                                                      CORBA_unsigned_short _local_a;
                                                      CORBA_unsigned_short *_local_b;
                                                      CORBA_unsigned_short _t165_storage;
                                                      CORBA_unsigned_short *_local_c;
                                                      CORBA_unsigned_short _t166_storage;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t167_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort166);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(24);
                                                      flick_xdr_decode_unsigned32(0, _t164_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t164_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t164_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t164_ignore, unsigned int );
                                                      _return = 0;
                                                      flick_xdr_decode_unsigned16(16, _local_a, CORBA_unsigned_short );
                                                      _local_b = (CORBA_unsigned_short *)(&_t165_storage);
                                                      flick_xdr_decode_unsigned16(20, *_local_b, CORBA_unsigned_short );
                                                      _local_c = (CORBA_unsigned_short *)(&_t166_storage);
                                                      _ev = (CORBA_Environment *)(&_t167_storage);
                                                      flick_suntcp_decode_end_chunk(24);
                                                      flick_suntcp_decode_end_glob(64);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = Atomic_test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort166);
                                                        flick_suntcp_encode_new_glob(16, _flick_abort166);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_new_chunk(12);
                                                              flick_xdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                                              flick_xdr_encode_unsigned16(4, *_local_b, CORBA_unsigned_short );
                                                              flick_xdr_encode_unsigned16(8, *_local_c, CORBA_unsigned_short );
                                                              flick_suntcp_encode_end_chunk(12);
                                                              flick_suntcp_encode_end_glob(16);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(16);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort172);
                                                              break;
                                                              {
                                                              _flick_abort172:
                                                                goto _flick_abort166;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort173);
                                                              flick_suntcp_encode_end_glob(16);
                                                              break;
                                                              {
                                                              _flick_abort173:
                                                                goto _flick_abort166;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort166:
                                                        goto _flick_abort165;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort165:
                                                      goto _flick_abort4;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            case 'D':
              {
                char _t168_switch_tag;

                flick_suntcp_check_span(56, _flick_abort4);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t168_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t168_switch_tag)
                  {
                  case 'o':
                    {
                      char _t169_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t169_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t169_switch_tag)
                        {
                        case 'u':
                          {
                            char _t170_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t170_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t170_switch_tag)
                              {
                              case 'b':
                                {
                                  char _t171_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t171_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t171_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t172_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t172_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t172_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t173_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t173_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t173_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      Atomic_test _obj;
                                                      unsigned int _t174_ignore;
                                                      CORBA_double _return;
                                                      CORBA_double _local_a;
                                                      CORBA_double *_local_b;
                                                      CORBA_double _t175_storage;
                                                      CORBA_double *_local_c;
                                                      CORBA_double _t176_storage;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t177_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort175);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(32);
                                                      flick_xdr_decode_unsigned32(0, _t174_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t174_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t174_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t174_ignore, unsigned int );
                                                      _return = 0.000000;
                                                      flick_xdr_decode_float64(16, _local_a, CORBA_double );
                                                      _local_b = (CORBA_double *)(&_t175_storage);
                                                      flick_xdr_decode_float64(24, *_local_b, CORBA_double );
                                                      _local_c = (CORBA_double *)(&_t176_storage);
                                                      _ev = (CORBA_Environment *)(&_t177_storage);
                                                      flick_suntcp_decode_end_chunk(32);
                                                      flick_suntcp_decode_end_glob(64);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = Atomic_test_Double(_obj, _local_a, _local_b, _local_c, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort175);
                                                        flick_suntcp_encode_new_glob(28, _flick_abort175);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_new_chunk(24);
                                                              flick_xdr_encode_float64(0, _return, CORBA_double );
                                                              flick_xdr_encode_float64(8, *_local_b, CORBA_double );
                                                              flick_xdr_encode_float64(16, *_local_c, CORBA_double );
                                                              flick_suntcp_encode_end_chunk(24);
                                                              flick_suntcp_encode_end_glob(28);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(28);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort181);
                                                              break;
                                                              {
                                                              _flick_abort181:
                                                                goto _flick_abort175;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort182);
                                                              flick_suntcp_encode_end_glob(28);
                                                              break;
                                                              {
                                                              _flick_abort182:
                                                                goto _flick_abort175;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort175:
                                                        goto _flick_abort174;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort174:
                                                      goto _flick_abort4;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t178_switch_tag;

          flick_suntcp_check_span(56, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t178_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t178_switch_tag)
            {
            case 'B':
              {
                char _t179_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t179_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t179_switch_tag)
                  {
                  case 'o':
                    {
                      char _t180_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t180_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t180_switch_tag)
                        {
                        case 'o':
                          {
                            char _t181_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t181_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t181_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t182_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t182_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t182_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t183_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t183_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t183_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t184_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t184_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t184_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t185_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t185_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t185_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Atomic_test _obj;
                                                            unsigned int _t186_ignore;
                                                            CORBA_boolean _return;
                                                            CORBA_boolean _local_a;
                                                            CORBA_boolean *_local_b;
                                                            CORBA_boolean _t187_storage;
                                                            CORBA_boolean *_local_c;
                                                            CORBA_boolean _t188_storage;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t189_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort184);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t186_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t186_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t186_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t186_ignore, unsigned int );
                                                            _return = 0;
                                                            flick_xdr_decode_unsigned8(16, _local_a, CORBA_boolean );
                                                            _local_b = (CORBA_boolean *)(&_t187_storage);
                                                            flick_xdr_decode_unsigned8(20, *_local_b, CORBA_boolean );
                                                            _local_c = (CORBA_boolean *)(&_t188_storage);
                                                            _ev = (CORBA_Environment *)(&_t189_storage);
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(64);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = Atomic_test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort184);
                                                              flick_suntcp_encode_new_glob(16, _flick_abort184);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(12);
                                                                    flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                                    flick_xdr_encode_unsigned8(4, *_local_b, CORBA_boolean );
                                                                    flick_xdr_encode_unsigned8(8, *_local_c, CORBA_boolean );
                                                                    flick_suntcp_encode_end_chunk(12);
                                                                    flick_suntcp_encode_end_glob(16);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(16);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort190);
                                                                    break;
                                                                    {
                                                                    _flick_abort190:
                                                                      goto _flick_abort184;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
                                                                    flick_suntcp_encode_end_glob(16);
                                                                    break;
                                                                    {
                                                                    _flick_abort191:
                                                                      goto _flick_abort184;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort184:
                                                              goto _flick_abort183;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort183:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
          flick_suntcp_decode_end_glob(64);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort4:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort3);
  _flick_abort3:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

