#include "interface_-client.h"

/* This is the runtime type information */
char *flick_interface_parents_math[] = {
	0
};

/* */

int flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(44, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(44);
  flick_suntcp_check_span(4, _flick_abort8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort8);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_suntcp_check_span(_data->_length * 4, _flick_abort13);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(4 * _data->_length * 1, _flick_abort16);
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort13:
    CORBA_flick_free(_data->_buffer);
  _flick_abort11:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort16:
#endif /* ENDIANness */
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort18);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort19);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA_short math_addshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort21);
  }
  {
    flick_suntcp_encode_new_glob(64, _flick_abort21);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 9, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'a', flick_char8_t );
    flick_xdr_encode_char8(8, 'd', flick_char8_t );
    flick_xdr_encode_char8(12, 'd', flick_char8_t );
    flick_xdr_encode_char8(16, 's', flick_char8_t );
    flick_xdr_encode_char8(20, 'h', flick_char8_t );
    flick_xdr_encode_char8(24, 'o', flick_char8_t );
    flick_xdr_encode_char8(28, 'r', flick_char8_t );
    flick_xdr_encode_char8(32, 't', flick_char8_t );
    flick_xdr_encode_char8(36, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed16(56, a, CORBA_short );
    flick_xdr_encode_signed16(60, b, CORBA_short );
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort21);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort27);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return, CORBA_short );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort27:
              goto _flick_abort21;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort28);
            break;
            {
            _flick_abort28:
              goto _flick_abort21;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort29);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort29:
              goto _flick_abort21;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort21:
    flick_corba_client_error(xdr, sun, _flick_abort20);
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_short math_subshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort31);
  }
  {
    flick_suntcp_encode_new_glob(64, _flick_abort31);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 9, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 's', flick_char8_t );
    flick_xdr_encode_char8(8, 'u', flick_char8_t );
    flick_xdr_encode_char8(12, 'b', flick_char8_t );
    flick_xdr_encode_char8(16, 's', flick_char8_t );
    flick_xdr_encode_char8(20, 'h', flick_char8_t );
    flick_xdr_encode_char8(24, 'o', flick_char8_t );
    flick_xdr_encode_char8(28, 'r', flick_char8_t );
    flick_xdr_encode_char8(32, 't', flick_char8_t );
    flick_xdr_encode_char8(36, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed16(56, a, CORBA_short );
    flick_xdr_encode_signed16(60, b, CORBA_short );
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort31);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort31);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort31);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort37);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return, CORBA_short );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort37:
              goto _flick_abort31;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort38);
            break;
            {
            _flick_abort38:
              goto _flick_abort31;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort39:
              goto _flick_abort31;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort31:
    flick_corba_client_error(xdr, sun, _flick_abort30);
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_short math_multshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort41);
  }
  {
    flick_suntcp_encode_new_glob(68, _flick_abort41);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 10, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'm', flick_char8_t );
    flick_xdr_encode_char8(8, 'u', flick_char8_t );
    flick_xdr_encode_char8(12, 'l', flick_char8_t );
    flick_xdr_encode_char8(16, 't', flick_char8_t );
    flick_xdr_encode_char8(20, 's', flick_char8_t );
    flick_xdr_encode_char8(24, 'h', flick_char8_t );
    flick_xdr_encode_char8(28, 'o', flick_char8_t );
    flick_xdr_encode_char8(32, 'r', flick_char8_t );
    flick_xdr_encode_char8(36, 't', flick_char8_t );
    flick_xdr_encode_char8(40, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(56, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed16(60, a, CORBA_short );
    flick_xdr_encode_signed16(64, b, CORBA_short );
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort41);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort41);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort41);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort47);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return, CORBA_short );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort47:
              goto _flick_abort41;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort48);
            break;
            {
            _flick_abort48:
              goto _flick_abort41;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort49);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort49:
              goto _flick_abort41;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort41:
    flick_corba_client_error(xdr, sun, _flick_abort40);
  _flick_abort40:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long math_addlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort51);
  }
  {
    flick_suntcp_encode_new_glob(60, _flick_abort51);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 8, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'a', flick_char8_t );
    flick_xdr_encode_char8(8, 'd', flick_char8_t );
    flick_xdr_encode_char8(12, 'd', flick_char8_t );
    flick_xdr_encode_char8(16, 'l', flick_char8_t );
    flick_xdr_encode_char8(20, 'o', flick_char8_t );
    flick_xdr_encode_char8(24, 'n', flick_char8_t );
    flick_xdr_encode_char8(28, 'g', flick_char8_t );
    flick_xdr_encode_char8(32, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed32(52, a, CORBA_long );
    flick_xdr_encode_signed32(56, b, CORBA_long );
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort51);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort57);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort57:
              goto _flick_abort51;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort58);
            break;
            {
            _flick_abort58:
              goto _flick_abort51;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort59:
              goto _flick_abort51;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort51:
    flick_corba_client_error(xdr, sun, _flick_abort50);
  _flick_abort50:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long math_sublong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort61);
  }
  {
    flick_suntcp_encode_new_glob(60, _flick_abort61);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 8, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 's', flick_char8_t );
    flick_xdr_encode_char8(8, 'u', flick_char8_t );
    flick_xdr_encode_char8(12, 'b', flick_char8_t );
    flick_xdr_encode_char8(16, 'l', flick_char8_t );
    flick_xdr_encode_char8(20, 'o', flick_char8_t );
    flick_xdr_encode_char8(24, 'n', flick_char8_t );
    flick_xdr_encode_char8(28, 'g', flick_char8_t );
    flick_xdr_encode_char8(32, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed32(52, a, CORBA_long );
    flick_xdr_encode_signed32(56, b, CORBA_long );
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort61);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort67);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort67:
              goto _flick_abort61;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort68);
            break;
            {
            _flick_abort68:
              goto _flick_abort61;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort69);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort69:
              goto _flick_abort61;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort61:
    flick_corba_client_error(xdr, sun, _flick_abort60);
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long math_multlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort71);
  }
  {
    flick_suntcp_encode_new_glob(64, _flick_abort71);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 9, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'm', flick_char8_t );
    flick_xdr_encode_char8(8, 'u', flick_char8_t );
    flick_xdr_encode_char8(12, 'l', flick_char8_t );
    flick_xdr_encode_char8(16, 't', flick_char8_t );
    flick_xdr_encode_char8(20, 'l', flick_char8_t );
    flick_xdr_encode_char8(24, 'o', flick_char8_t );
    flick_xdr_encode_char8(28, 'n', flick_char8_t );
    flick_xdr_encode_char8(32, 'g', flick_char8_t );
    flick_xdr_encode_char8(36, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed32(56, a, CORBA_long );
    flick_xdr_encode_signed32(60, b, CORBA_long );
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort71);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort71);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort71);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort77);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort77:
              goto _flick_abort71;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort78);
            break;
            {
            _flick_abort78:
              goto _flick_abort71;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort79);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort79:
              goto _flick_abort71;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort71:
    flick_corba_client_error(xdr, sun, _flick_abort70);
  _flick_abort70:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long math_addlonglist(math _obj, long10 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort81);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    CORBA_unsigned_long _t3_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(112, _flick_abort81);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 12, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'a', flick_char8_t );
    flick_xdr_encode_char8(8, 'd', flick_char8_t );
    flick_xdr_encode_char8(12, 'd', flick_char8_t );
    flick_xdr_encode_char8(16, 'l', flick_char8_t );
    flick_xdr_encode_char8(20, 'o', flick_char8_t );
    flick_xdr_encode_char8(24, 'n', flick_char8_t );
    flick_xdr_encode_char8(28, 'g', flick_char8_t );
    flick_xdr_encode_char8(32, 'l', flick_char8_t );
    flick_xdr_encode_char8(36, 'i', flick_char8_t );
    flick_xdr_encode_char8(40, 's', flick_char8_t );
    flick_xdr_encode_char8(44, 't', flick_char8_t );
    flick_xdr_encode_char8(48, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(56, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(60, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(64, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(68, a->_length, CORBA_unsigned_long );
    if (a->_length + 1 > 10)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort81);
    flick_suntcp_encode_end_chunk(72);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t3_array_iter = 0; _t3_array_iter < a->_length; _t3_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a->_buffer[_t3_array_iter], CORBA_long );
        flick_suntcp_encode_end_chunk(4);
        continue;
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * a->_length);
    flick_xdr_encode_bcopy(0, a->_buffer, 4 * a->_length);
    flick_suntcp_encode_end_chunk(4 * a->_length);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(112);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block98);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block98);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort_block98);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort101);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort101:
              goto _flick_abort_block98;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort102);
            break;
            {
            _flick_abort102:
              goto _flick_abort_block98;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort103);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort103:
              goto _flick_abort_block98;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort_block98:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  _flick_abort81:
    flick_corba_client_error(xdr, sun, _flick_abort80);
  _flick_abort80:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long math_multlonglist(math _obj, long10 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort105);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    CORBA_unsigned_long _t5_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(116, _flick_abort105);
    flick_suntcp_encode_new_chunk(76);
    flick_xdr_encode_unsigned32(0, 13, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'm', flick_char8_t );
    flick_xdr_encode_char8(8, 'u', flick_char8_t );
    flick_xdr_encode_char8(12, 'l', flick_char8_t );
    flick_xdr_encode_char8(16, 't', flick_char8_t );
    flick_xdr_encode_char8(20, 'l', flick_char8_t );
    flick_xdr_encode_char8(24, 'o', flick_char8_t );
    flick_xdr_encode_char8(28, 'n', flick_char8_t );
    flick_xdr_encode_char8(32, 'g', flick_char8_t );
    flick_xdr_encode_char8(36, 'l', flick_char8_t );
    flick_xdr_encode_char8(40, 'i', flick_char8_t );
    flick_xdr_encode_char8(44, 's', flick_char8_t );
    flick_xdr_encode_char8(48, 't', flick_char8_t );
    flick_xdr_encode_char8(52, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(56, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(60, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(64, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(68, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(72, a->_length, CORBA_unsigned_long );
    if (a->_length + 1 > 10)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort105);
    flick_suntcp_encode_end_chunk(76);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t5_array_iter = 0; _t5_array_iter < a->_length; _t5_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a->_buffer[_t5_array_iter], CORBA_long );
        flick_suntcp_encode_end_chunk(4);
        continue;
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * a->_length);
    flick_xdr_encode_bcopy(0, a->_buffer, 4 * a->_length);
    flick_suntcp_encode_end_chunk(4 * a->_length);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(116);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block125);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block125);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort_block125);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort125);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort125:
              goto _flick_abort_block125;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort126);
            break;
            {
            _flick_abort126:
              goto _flick_abort_block125;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort127);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort127:
              goto _flick_abort_block125;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort_block125:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  _flick_abort105:
    flick_corba_client_error(xdr, sun, _flick_abort104);
  _flick_abort104:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

