#include "program-6-server.h"

/* This is the runtime type information */
char *flick_interface_parents_MATH[] = {
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:MATH:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = MATH;
	s.vers_num = ONE;

	reg_success = flick_server_register(s, &math_50);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a, int );
  flick_xdr_encode_signed32(4, _data->b, int );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort1);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a, int );
  flick_xdr_decode_signed32(4, _data->b, int );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(16, _flick_abort2);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->a.a, int );
  flick_xdr_encode_signed32(4, _data->a.b, int );
  flick_xdr_encode_signed32(8, _data->b.a, int );
  flick_xdr_encode_signed32(12, _data->b.b, int );
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_check_span(16, _flick_abort3);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->a.a, int );
  flick_xdr_decode_signed32(4, _data->a.b, int );
  flick_xdr_decode_signed32(8, _data->b.a, int );
  flick_xdr_decode_signed32(12, _data->b.b, int );
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->long_list_len, unsigned int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->long_list_len, _flick_abort4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_list_len; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->long_list_val[_t0_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->long_list_len);
  flick_xdr_encode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_suntcp_encode_end_chunk(4 * _data->long_list_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->long_list_len);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort12);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->long_list_len, unsigned int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->long_list_len);
#if BYTE_ORDER != BIG_ENDIAN
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->long_list_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->long_list_len * 4, _flick_abort17);
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_list_len; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->long_list_val[_t1_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(4 * _data->long_list_len * 1, _flick_abort20);
  flick_suntcp_decode_new_chunk(4 * _data->long_list_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->long_list_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_suntcp_decode_end_chunk(4 * _data->long_list_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->long_list_len);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort17:
    sun_flick_free(_data->long_list_val);
  _flick_abort15:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort20:
#endif /* ENDIANness */
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned int _t2_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort22);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->sb_list_len, unsigned int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->sb_list_len, _flick_abort22);
  for (_t2_array_iter = 0; _t2_array_iter < _data->sb_list_len; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->sb_list_val[_t2_array_iter].a.a, int );
      flick_xdr_encode_signed32(4, _data->sb_list_val[_t2_array_iter].a.b, int );
      flick_xdr_encode_signed32(8, _data->sb_list_val[_t2_array_iter].b.a, int );
      flick_xdr_encode_signed32(12, _data->sb_list_val[_t2_array_iter].b.b, int );
      flick_suntcp_encode_end_chunk(16);
      continue;
    }
  flick_suntcp_encode_end_glob(16 * _data->sb_list_len);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned int _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort28);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->sb_list_len, unsigned int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->sb_list_len);
  {
    struct sb *_t_alloc_ptr;

    _t_alloc_ptr = (struct sb *)(sun_flick_alloc((_data->sb_list_len + 1) * sizeof(struct sb )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort28);
    _data->sb_list_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->sb_list_len * 16, _flick_abort32);
  for (_t3_array_iter = 0; _t3_array_iter < _data->sb_list_len; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->sb_list_val[_t3_array_iter].a.a, int );
      flick_xdr_decode_signed32(4, _data->sb_list_val[_t3_array_iter].a.b, int );
      flick_xdr_decode_signed32(8, _data->sb_list_val[_t3_array_iter].b.a, int );
      flick_xdr_decode_signed32(12, _data->sb_list_val[_t3_array_iter].b.b, int );
      flick_suntcp_decode_end_chunk(16);
      continue;
    }
  flick_suntcp_decode_end_glob(16 * _data->sb_list_len);
  return 0;
  {
  _flick_abort32:
    sun_flick_free(_data->sb_list_val);
  _flick_abort28:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t math_50(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t11_switch_tag;

    flick_suntcp_decode_new_glob(24);
    flick_suntcp_check_span(24, _flick_abort37);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t11_switch_tag, signed int );
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t11_switch_tag)
      {
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t12_ignore;
            int *_return;
            long_list *_local_arg;
            long_list _t13_storage;
#if BYTE_ORDER != BIG_ENDIAN
            unsigned int _t14_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort72);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t12_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t12_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t12_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t12_ignore, unsigned int );
            _return = 0;
            _local_arg = (long_list *)(&_t13_storage);
            flick_xdr_decode_unsigned32(16, _local_arg->long_list_len, unsigned int );
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_decode_new_glob(4 * _local_arg->long_list_len);
#if BYTE_ORDER != BIG_ENDIAN
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(auto_flick_alloc((_local_arg->long_list_len + 1) * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort75);
              _local_arg->long_list_val = _t_alloc_ptr;
            }
            flick_suntcp_check_span(_local_arg->long_list_len * 4, _flick_abort77);
            for (_t14_array_iter = 0; _t14_array_iter < _local_arg->long_list_len; _t14_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->long_list_val[_t14_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_check_span(4 * _local_arg->long_list_len * 1, _flick_abort80);
            flick_suntcp_decode_new_chunk(4 * _local_arg->long_list_len);
            flick_xdr_decode_msgptr(0, _local_arg->long_list_val, int *);
            flick_suntcp_decode_end_chunk(4 * _local_arg->long_list_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _local_arg->long_list_len);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_test_50(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block78);
              flick_suntcp_encode_new_glob(8, _flick_abort_block78);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort86);
                    break;
                    {
                    _flick_abort86:
                      goto _flick_abort_block78;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort87:
                      goto _flick_abort_block78;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block78:
#if BYTE_ORDER != BIG_ENDIAN
            _flick_abort77:
              auto_flick_free(_local_arg->long_list_val);
            _flick_abort75:
#else /* BIG_ENDIAN - do a bcopy*/
            _flick_abort80:
#endif /* ENDIANness */
            _flick_abort72:
              goto _flick_abort71;
            }
          }
          break;
          {
          _flick_abort71:
            goto _flick_abort37;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t15_ignore;
            int *_return;
            sb_list *_local_arg;
            sb_list _t16_storage;
            unsigned int _t17_array_iter;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort89);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t15_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t15_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t15_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t15_ignore, unsigned int );
            _return = 0;
            _local_arg = (sb_list *)(&_t16_storage);
            flick_xdr_decode_unsigned32(16, _local_arg->sb_list_len, unsigned int );
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_decode_new_glob(16 * _local_arg->sb_list_len);
            {
              struct sb *_t_alloc_ptr;

              _t_alloc_ptr = (struct sb *)(auto_flick_alloc((_local_arg->sb_list_len + 1) * sizeof(struct sb )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort89);
              _local_arg->sb_list_val = _t_alloc_ptr;
            }
            flick_suntcp_check_span(_local_arg->sb_list_len * 16, _flick_abort93);
            for (_t17_array_iter = 0; _t17_array_iter < _local_arg->sb_list_len; _t17_array_iter++)
              {
                flick_suntcp_decode_new_chunk(16);
                flick_xdr_decode_signed32(0, _local_arg->sb_list_val[_t17_array_iter].a.a, int );
                flick_xdr_decode_signed32(4, _local_arg->sb_list_val[_t17_array_iter].a.b, int );
                flick_xdr_decode_signed32(8, _local_arg->sb_list_val[_t17_array_iter].b.a, int );
                flick_xdr_decode_signed32(12, _local_arg->sb_list_val[_t17_array_iter].b.b, int );
                flick_suntcp_decode_end_chunk(16);
                continue;
              }
            flick_suntcp_decode_end_glob(16 * _local_arg->sb_list_len);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = sb_test_50(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort93);
              flick_suntcp_encode_new_glob(8, _flick_abort93);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort101);
                    break;
                    {
                    _flick_abort101:
                      goto _flick_abort93;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort102:
                      goto _flick_abort93;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort93:
              auto_flick_free(_local_arg->sb_list_val);
            _flick_abort89:
              goto _flick_abort88;
            }
          }
          break;
          {
          _flick_abort88:
            goto _flick_abort37;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort37);
          flick_suntcp_decode_end_glob(24);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort37:
    flick_sun_server_error(xdr, suntcp, _flick_reaper, _flick_abort36);
  _flick_abort36:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

