#include "turtle-server-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Server[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_Server;
	s.vers_num = _VERS_Server;

	reg_success = flick_server_register(s, &Server_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_Server(flick_marshal_stream_t _stream, Server *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Server(flick_marshal_stream_t _stream, Server *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t Server_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t75_switch_tag;

    flick_suntcp_decode_new_glob(72);
    flick_suntcp_check_span(44, _flick_abort4);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t75_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t75_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t76_switch_tag;

          flick_suntcp_check_span(56, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t76_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t76_switch_tag)
            {
            case 'S':
              {
                char _t77_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t77_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t77_switch_tag)
                  {
                  case 'e':
                    {
                      char _t78_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t78_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t78_switch_tag)
                        {
                        case 't':
                          {
                            char _t79_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t79_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t79_switch_tag)
                              {
                              case 'S':
                                {
                                  char _t80_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t80_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t80_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t81_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t81_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t81_switch_tag)
                                          {
                                          case 'z':
                                            {
                                              char _t82_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t82_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t82_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t83_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t83_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t83_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            unsigned int _t84_ignore;
                                                            CORBA_long _return;
                                                            CORBA_long _local_width;
                                                            CORBA_long _local_height;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t85_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort82);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t84_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t84_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t84_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t84_ignore, unsigned int );
                                                            _return = 0;
                                                            flick_xdr_decode_signed32(16, _local_width, CORBA_long );
                                                            flick_xdr_decode_signed32(20, _local_height, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t85_storage);
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(72);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort82);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort82);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort88);
                                                                    break;
                                                                    {
                                                                    _flick_abort88:
                                                                      goto _flick_abort82;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort89:
                                                                      goto _flick_abort82;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort82:
                                                              goto _flick_abort81;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort81:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            case 'A':
              {
                char _t86_switch_tag;

                flick_suntcp_check_span(60, _flick_abort4);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t86_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t86_switch_tag)
                  {
                  case 'd':
                    {
                      char _t87_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t87_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t87_switch_tag)
                        {
                        case 'd':
                          {
                            char _t88_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t88_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t88_switch_tag)
                              {
                              case 'W':
                                {
                                  char _t89_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t89_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t89_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t90_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t90_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t90_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t91_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t91_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t91_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t92_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t92_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t92_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            unsigned int _t93_ignore;
                                                            CORBA_long _return;
                                                            CORBA_long _local_startx;
                                                            CORBA_long _local_starty;
                                                            CORBA_long _local_endx;
                                                            CORBA_long _local_endy;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t94_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort91);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(32);
                                                            flick_xdr_decode_unsigned32(0, _t93_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t93_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t93_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t93_ignore, unsigned int );
                                                            _return = 0;
                                                            flick_xdr_decode_signed32(16, _local_startx, CORBA_long );
                                                            flick_xdr_decode_signed32(20, _local_starty, CORBA_long );
                                                            flick_xdr_decode_signed32(24, _local_endx, CORBA_long );
                                                            flick_xdr_decode_signed32(28, _local_endy, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t94_storage);
                                                            flick_suntcp_decode_end_chunk(32);
                                                            flick_suntcp_decode_end_glob(72);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort91);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort91);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort97);
                                                                    break;
                                                                    {
                                                                    _flick_abort97:
                                                                      goto _flick_abort91;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort98);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort98:
                                                                      goto _flick_abort91;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort91:
                                                              goto _flick_abort90;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort90:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'R':
                                {
                                  char _t95_switch_tag;

                                  flick_suntcp_check_span(52, _flick_abort4);
                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t95_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t95_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t96_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t96_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t96_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t97_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t97_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t97_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t98_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t98_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t98_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            unsigned int _t99_ignore;
                                                            CORBA_long _return;
                                                            CORBA_long _local_left;
                                                            CORBA_long _local_top;
                                                            CORBA_long _local_right;
                                                            CORBA_long _local_bottom;
                                                            CORBA_long _local_color;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t100_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort100);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(36);
                                                            flick_xdr_decode_unsigned32(0, _t99_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t99_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t99_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t99_ignore, unsigned int );
                                                            _return = 0;
                                                            flick_xdr_decode_signed32(16, _local_left, CORBA_long );
                                                            flick_xdr_decode_signed32(20, _local_top, CORBA_long );
                                                            flick_xdr_decode_signed32(24, _local_right, CORBA_long );
                                                            flick_xdr_decode_signed32(28, _local_bottom, CORBA_long );
                                                            flick_xdr_decode_signed32(32, _local_color, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t100_storage);
                                                            flick_suntcp_decode_end_chunk(36);
                                                            flick_suntcp_decode_end_glob(72);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort100);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort100);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort106);
                                                                    break;
                                                                    {
                                                                    _flick_abort106:
                                                                      goto _flick_abort100;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort107:
                                                                      goto _flick_abort100;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort100:
                                                              goto _flick_abort99;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort99:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            case 'D':
              {
                char _t101_switch_tag;

                flick_suntcp_check_span(60, _flick_abort4);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t101_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t101_switch_tag)
                  {
                  case 'e':
                    {
                      char _t102_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t102_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t102_switch_tag)
                        {
                        case 'l':
                          {
                            char _t103_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t103_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t103_switch_tag)
                              {
                              case 'W':
                                {
                                  char _t104_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t104_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t104_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t105_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t105_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t105_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t106_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t106_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t106_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t107_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t107_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t107_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            unsigned int _t108_ignore;
                                                            CORBA_long _return;
                                                            CORBA_long _local_startx;
                                                            CORBA_long _local_starty;
                                                            CORBA_long _local_endx;
                                                            CORBA_long _local_endy;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t109_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort109);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(32);
                                                            flick_xdr_decode_unsigned32(0, _t108_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t108_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t108_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t108_ignore, unsigned int );
                                                            _return = 0;
                                                            flick_xdr_decode_signed32(16, _local_startx, CORBA_long );
                                                            flick_xdr_decode_signed32(20, _local_starty, CORBA_long );
                                                            flick_xdr_decode_signed32(24, _local_endx, CORBA_long );
                                                            flick_xdr_decode_signed32(28, _local_endy, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t109_storage);
                                                            flick_suntcp_decode_end_chunk(32);
                                                            flick_suntcp_decode_end_glob(72);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort109);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort109);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort115);
                                                                    break;
                                                                    {
                                                                    _flick_abort115:
                                                                      goto _flick_abort109;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort116:
                                                                      goto _flick_abort109;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort109:
                                                              goto _flick_abort108;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort108:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'R':
                                {
                                  char _t110_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t110_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t110_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t111_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t111_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t111_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t112_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t112_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t112_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t113_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t113_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t113_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            unsigned int _t114_ignore;
                                                            CORBA_long _return;
                                                            CORBA_long _local_left;
                                                            CORBA_long _local_top;
                                                            CORBA_long _local_right;
                                                            CORBA_long _local_bottom;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t115_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort118);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(32);
                                                            flick_xdr_decode_unsigned32(0, _t114_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t114_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t114_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t114_ignore, unsigned int );
                                                            _return = 0;
                                                            flick_xdr_decode_signed32(16, _local_left, CORBA_long );
                                                            flick_xdr_decode_signed32(20, _local_top, CORBA_long );
                                                            flick_xdr_decode_signed32(24, _local_right, CORBA_long );
                                                            flick_xdr_decode_signed32(28, _local_bottom, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t115_storage);
                                                            flick_suntcp_decode_end_chunk(32);
                                                            flick_suntcp_decode_end_glob(72);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort118);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort118);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort124);
                                                                    break;
                                                                    {
                                                                    _flick_abort124:
                                                                      goto _flick_abort118;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort125:
                                                                      goto _flick_abort118;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort118:
                                                              goto _flick_abort117;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort117:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t116_switch_tag;

          flick_suntcp_check_span(56, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t116_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t116_switch_tag)
            {
            case 'S':
              {
                char _t117_switch_tag;

                flick_suntcp_check_span(64, _flick_abort4);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t117_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t117_switch_tag)
                  {
                  case 'e':
                    {
                      char _t118_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t118_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t118_switch_tag)
                        {
                        case 't':
                          {
                            char _t119_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t119_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t119_switch_tag)
                              {
                              case 'T':
                                {
                                  char _t120_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t120_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t120_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t121_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t121_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t121_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t122_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t122_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t122_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t123_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t123_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t123_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t124_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t124_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t124_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t125_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t125_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t125_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Server _obj;
                                                                        unsigned int _t126_ignore;
                                                                        CORBA_long _return;
                                                                        CORBA_long _local_x;
                                                                        CORBA_long _local_y;
                                                                        CORBA_long _local_angle;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t127_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort127);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(28);
                                                                        flick_xdr_decode_unsigned32(0, _t126_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t126_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t126_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t126_ignore, unsigned int );
                                                                        _return = 0;
                                                                        flick_xdr_decode_signed32(16, _local_x, CORBA_long );
                                                                        flick_xdr_decode_signed32(20, _local_y, CORBA_long );
                                                                        flick_xdr_decode_signed32(24, _local_angle, CORBA_long );
                                                                        _ev = (CORBA_Environment *)(&_t127_storage);
                                                                        flick_suntcp_decode_end_chunk(28);
                                                                        flick_suntcp_decode_end_glob(72);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort127);
                                                                          flick_suntcp_encode_new_glob(8, _flick_abort127);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort133);
                                                                                break;
                                                                                {
                                                                                _flick_abort133:
                                                                                  goto _flick_abort127;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                                {
                                                                                _flick_abort134:
                                                                                  goto _flick_abort127;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort127:
                                                                          goto _flick_abort126;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort126:
                                                                        goto _flick_abort4;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            case 'G':
              {
                char _t128_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t128_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t128_switch_tag)
                  {
                  case 'e':
                    {
                      char _t129_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t129_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t129_switch_tag)
                        {
                        case 't':
                          {
                            char _t130_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t130_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t130_switch_tag)
                              {
                              case 'T':
                                {
                                  char _t131_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t131_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t131_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t132_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t132_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t132_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t133_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t133_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t133_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t134_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t134_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t134_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t135_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t135_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t135_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t136_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t136_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t136_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Server _obj;
                                                                        unsigned int _t137_ignore;
                                                                        CORBA_long _return;
                                                                        CORBA_long *_local_x;
                                                                        CORBA_long _t138_storage;
                                                                        CORBA_long *_local_y;
                                                                        CORBA_long _t139_storage;
                                                                        CORBA_long *_local_angle;
                                                                        CORBA_long _t140_storage;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t141_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort136);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t137_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t137_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t137_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t137_ignore, unsigned int );
                                                                        _return = 0;
                                                                        _local_x = (CORBA_long *)(&_t138_storage);
                                                                        _local_y = (CORBA_long *)(&_t139_storage);
                                                                        _local_angle = (CORBA_long *)(&_t140_storage);
                                                                        _ev = (CORBA_Environment *)(&_t141_storage);
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(72);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort136);
                                                                          flick_suntcp_encode_new_glob(20, _flick_abort136);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_new_chunk(16);
                                                                                flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                flick_xdr_encode_signed32(4, *_local_x, CORBA_long );
                                                                                flick_xdr_encode_signed32(8, *_local_y, CORBA_long );
                                                                                flick_xdr_encode_signed32(12, *_local_angle, CORBA_long );
                                                                                flick_suntcp_encode_end_chunk(16);
                                                                                flick_suntcp_encode_end_glob(20);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(20);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort142);
                                                                                break;
                                                                                {
                                                                                _flick_abort142:
                                                                                  goto _flick_abort136;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
                                                                                flick_suntcp_encode_end_glob(20);
                                                                                break;
                                                                                {
                                                                                _flick_abort143:
                                                                                  goto _flick_abort136;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort136:
                                                                          goto _flick_abort135;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort135:
                                                                        goto _flick_abort4;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t142_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t142_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t142_switch_tag)
            {
            case 'i':
              {
                char _t143_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t143_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t143_switch_tag)
                  {
                  case 's':
                    {
                      char _t144_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t144_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t144_switch_tag)
                        {
                        case '_':
                          {
                            char _t145_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t145_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t145_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t146_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t146_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t146_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t147_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t148_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t149_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort145);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t147_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t147_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t147_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t147_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t148_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(72);
                                          flick_suntcp_decode_new_glob(1 * _t148_temp_string_len);
                                          flick_suntcp_check_span(1 * _t148_temp_string_len * 1, _flick_abort145);
                                          flick_suntcp_decode_new_chunk(1 * _t148_temp_string_len);
                                          if ((_t148_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t148_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort145);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t148_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t148_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t148_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort148);
                                          _local_id[_t148_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t149_storage);
                                          _par = flick_interface_parents_Server;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort148);
                                            flick_suntcp_encode_new_glob(8, _flick_abort148);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort154);
                                                  break;
                                                  {
                                                  _flick_abort154:
                                                    goto _flick_abort148;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort155);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort155:
                                                    goto _flick_abort148;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort148:
                                            auto_flick_free(_local_id);
                                          _flick_abort145:
                                            goto _flick_abort144;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort144:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
          flick_suntcp_decode_end_glob(72);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort4:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort3);
  _flick_abort3:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

