#ifndef _union_2_server_h_
#define _union_2_server_h_

#define FLICK_PROTOCOL_TRAPEZE_ONC
#include <flick/link/trapeze.h>
#include <flick/encode/xdr.h>
#include <errno.h>

#include <flick/pres/sun.h>

#ifndef _typedef___foo
#define _typedef___foo
typedef struct foo {
  int discriminator;
  union {
    int one;
    int two;
    float four;
  } foo_u;
} foo;
#endif /* _typedef___foo */

int flick_marshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data);

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data);

#define PROG ((unsigned long int) 3)

#define VERS ((unsigned long int) 2)

extern flick_dispatch_t prog_2;

#define op ((unsigned long int) 1)

struct foo *op_2(struct foo *arg, struct svc_req *_obj/* , flick_env_t flick_errno */);

#endif /* _union_2_server_h_ */
